Index: general/graphlib/babl.xml
===================================================================
--- general/graphlib/babl.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
+++ general/graphlib/babl.xml	(revision 7223306aeb30c7b2e708bf7072d87f01e7d4348c)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
+++ general/graphlib/gegl.xml	(revision 7223306aeb30c7b2e708bf7072d87f01e7d4348c)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libmypaint.xml
===================================================================
--- general/graphlib/libmypaint.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
+++ general/graphlib/libmypaint.xml	(revision 7223306aeb30c7b2e708bf7072d87f01e7d4348c)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/pm-utils.xml
===================================================================
--- general/sysutils/pm-utils.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
+++ general/sysutils/pm-utils.xml	(revision 7223306aeb30c7b2e708bf7072d87f01e7d4348c)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/raptor.xml
===================================================================
--- general/sysutils/raptor.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
+++ general/sysutils/raptor.xml	(revision 7223306aeb30c7b2e708bf7072d87f01e7d4348c)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/rasqal.xml
===================================================================
--- general/sysutils/rasqal.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
+++ general/sysutils/rasqal.xml	(revision 7223306aeb30c7b2e708bf7072d87f01e7d4348c)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/redland.xml
===================================================================
--- general/sysutils/redland.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
+++ general/sysutils/redland.xml	(revision 7223306aeb30c7b2e708bf7072d87f01e7d4348c)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gucharmap.xml
===================================================================
--- gnome/applications/gucharmap.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
+++ gnome/applications/gucharmap.xml	(revision 7223306aeb30c7b2e708bf7072d87f01e7d4348c)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
+++ gnome/platform/gvfs.xml	(revision 7223306aeb30c7b2e708bf7072d87f01e7d4348c)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/other/gimp.xml
===================================================================
--- xsoft/other/gimp.xml	(revision 10e2d5f1364a9fd88237e8fb097ed019a613979b)
+++ xsoft/other/gimp.xml	(revision 7223306aeb30c7b2e708bf7072d87f01e7d4348c)
@@ -59,5 +59,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>