Index: general/genlib/exempi.xml
===================================================================
--- general/genlib/exempi.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ general/genlib/exempi.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -33,5 +33,5 @@
     Extensible Metadata Platform).</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libpaper.xml
===================================================================
--- general/genlib/libpaper.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ general/genlib/libpaper.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/mailnews/fetchmail.xml
===================================================================
--- networking/mailnews/fetchmail.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ networking/mailnews/fetchmail.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -36,5 +36,5 @@
     read by normal mail user agents.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/mailnews/mutt.xml
===================================================================
--- networking/mailnews/mutt.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ networking/mailnews/mutt.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -35,5 +35,5 @@
     deleting your email.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/mailnews/re-alpine.xml
===================================================================
--- networking/mailnews/re-alpine.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ networking/mailnews/re-alpine.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -33,5 +33,5 @@
     a text-based email client developed by the University of Washington.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/nmap.xml
===================================================================
--- networking/netutils/nmap.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ networking/netutils/nmap.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -35,5 +35,5 @@
     TCP/IP fingerprinting.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/wireshark-systemd.xml
===================================================================
--- networking/netutils/wireshark-systemd.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ networking/netutils/wireshark-systemd.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -39,5 +39,5 @@
     network analyzers.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/bluefish.xml
===================================================================
--- postlfs/editors/bluefish.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/editors/bluefish.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/ed.xml
===================================================================
--- postlfs/editors/ed.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/editors/ed.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -37,5 +37,5 @@
     because diff-based patches are preferred these days.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/emacs.xml
===================================================================
--- postlfs/editors/emacs.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/editors/emacs.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -33,5 +33,5 @@
     customizable, self-documenting real-time display editor.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/joe.xml
===================================================================
--- postlfs/editors/joe.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/editors/joe.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -34,5 +34,5 @@
     and <application>Emacs</application>.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/vim.xml
===================================================================
--- postlfs/editors/vim.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/editors/vim.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -42,5 +42,5 @@
     <application>X</application> support is automatically detected.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/gptfdisk.xml
===================================================================
--- postlfs/filesystems/gptfdisk.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/filesystems/gptfdisk.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/jfs.xml
===================================================================
--- postlfs/filesystems/jfs.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/filesystems/jfs.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -33,5 +33,5 @@
     and debugging tools for the jfs file system.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/mdadm.xml
===================================================================
--- postlfs/filesystems/mdadm.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/filesystems/mdadm.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -33,5 +33,5 @@
     tools for software RAID.</para>
 
-    &lfs75_built;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/ntfs-3g.xml
===================================================================
--- postlfs/filesystems/ntfs-3g.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/filesystems/ntfs-3g.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/reiser.xml
===================================================================
--- postlfs/filesystems/reiser.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/filesystems/reiser.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -34,5 +34,5 @@
     utilities for use with the Reiser file system.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/shells/dash.xml
===================================================================
--- postlfs/shells/dash.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/shells/dash.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -38,5 +38,5 @@
     a script is completely compatible with POSIX syntax.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/shells/tcsh.xml
===================================================================
--- postlfs/shells/tcsh.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/shells/tcsh.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -37,5 +37,5 @@
     installation tasks.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/shells/zsh.xml
===================================================================
--- postlfs/shells/zsh.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/shells/zsh.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -39,5 +39,5 @@
     <application>ksh</application> but includes many enhancements.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/virtualization/qemu-systemd.xml
===================================================================
--- postlfs/virtualization/qemu-systemd.xml	(revision 20b1ef9e067669a8dac1e31c79ddeda196641a7f)
+++ postlfs/virtualization/qemu-systemd.xml	(revision 007327100c18a400397357e50bca0692540d1795)
@@ -34,5 +34,5 @@
     AMD-V).</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>