Index: general.ent
===================================================================
--- general.ent	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ general.ent	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "03">                   <!-- Always 2 digits -->
+<!ENTITY day          "04">                   <!-- Always 2 digits -->
 <!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "May 3rd, &year;">
+<!ENTITY releasedate  "May 4th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -228,5 +228,5 @@
 <!ENTITY icu-dl-version               "&icu-major;_&icu-minor;"><!-- _&icu-patch;-->
 
-<!ENTITY iso-codes-version            "3.52">
+<!ENTITY iso-codes-version            "3.53">
 <!ENTITY JS-version                   "17.0.0">
 <!ENTITY JS2-version                  "24.2.0">
@@ -241,5 +241,5 @@
 <!ENTITY libdaemon-version            "0.14">
 <!ENTITY libdbusmenu-qt-version       "0.9.2">
-<!ENTITY libdrm-version               "2.4.53">
+<!ENTITY libdrm-version               "2.4.54">
 <!ENTITY libesmtp-version             "1.0.6">
 <!ENTITY libffi-version               "3.0.13">
@@ -256,5 +256,5 @@
 <!ENTITY liblinear-version            "1.94">
 <!ENTITY libsigc-version              "2.3.1">
-<!ENTITY libtasn1-version             "3.4">
+<!ENTITY libtasn1-version             "3.5">
 <!ENTITY libunistring-version         "0.9.3">
 <!ENTITY libusb-version               "1.0.18">
@@ -304,5 +304,5 @@
 <!ENTITY libtiff-version              "4.0.3">
 <!ENTITY libwebp-version              "0.4.0">
-<!ENTITY openjpeg-version             "1.5.1">
+<!ENTITY openjpeg-version             "1.5.2">
 <!ENTITY pixman-version               "0.32.4">   <!-- Even minors only -->
 <!ENTITY poppler-version              "0.26.0">   <!-- Even minors only -->
@@ -326,5 +326,5 @@
 <!ENTITY recode-version               "3.6">
 <!ENTITY rep-gtk-version              "0.90.8.1">
-<!ENTITY screen-version               "4.0.3">
+<!ENTITY screen-version               "4.2.1">
 <!ENTITY sharutils-version            "4.14">
 <!ENTITY tidy-version                 "cvs_20101110">
@@ -387,5 +387,5 @@
 <!ENTITY llvm-version                 "3.4">
 <!ENTITY lua-version                  "5.2.3">
-<!ENTITY mercurial-version            "2.9.2">
+<!ENTITY mercurial-version            "3.0">
 <!ENTITY nasm-version                 "2.11.02">
 <!ENTITY npapi-sdk-version            "0.27.2">
@@ -461,5 +461,5 @@
 <!ENTITY nmap-version                 "6.46">
 <!ENTITY traceroute-version           "2.0.19">
-<!ENTITY whois-version                "5.1.1">
+<!ENTITY whois-version                "5.1.2">
 <!ENTITY wicd-version                 "1.7.2.4">
 <!ENTITY wireshark-version            "1.10.7">  <!-- even minors only -->
@@ -480,5 +480,5 @@
 <!ENTITY libtirpc-version             "0.2.4">
 <!ENTITY neon-version                 "0.30.0">
-<!ENTITY serf-version                 "1.3.4">
+<!ENTITY serf-version                 "1.3.5">
 
 <!-- Chapter 18 -->
@@ -543,5 +543,5 @@
 <!ENTITY xorg-server-version          "1.15.1">
 <!ENTITY twm-version                  "1.0.8">
-<!ENTITY xterm-version                "303">
+<!ENTITY xterm-version                "304">
 <!ENTITY xclock-version               "1.0.7">
 <!ENTITY xinit-version                "1.3.3">
@@ -660,5 +660,5 @@
 <!ENTITY network-manager-applet-version "0.9.8.10">  <!-- stable lt .90 micro version -->
 <!ENTITY seahorse-version             "3.12.0">
-<!ENTITY totem-version                "3.12.0">
+<!ENTITY totem-version                "3.12.1">
 
 <!-- Part IX -->
@@ -744,5 +744,5 @@
 <!ENTITY pidgin-version               "2.10.9">
 <!ENTITY rox-filer-version            "2.11">
-<!ENTITY rxvt-unicode-version         "9.19">
+<!ENTITY rxvt-unicode-version         "9.20">
 <!ENTITY thunderbird-version          "24.4.0">
 <!ENTITY transmission-version         "2.82">
Index: general/genlib/libtasn1.xml
===================================================================
--- general/genlib/libtasn1.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ general/genlib/libtasn1.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -7,8 +7,8 @@
   <!ENTITY libtasn1-download-http "http://ftp.gnu.org/gnu/libtasn1/libtasn1-&libtasn1-version;.tar.gz">
   <!ENTITY libtasn1-download-ftp  "ftp://ftp.gnu.org/gnu/libtasn1/libtasn1-&libtasn1-version;.tar.gz">
-  <!ENTITY libtasn1-md5sum        "21ec021c534b0f30b2834ce233c70f15">
+  <!ENTITY libtasn1-md5sum        "62c76352d0e17df1c082fe1c38bad5cf">
   <!ENTITY libtasn1-size          "1.8 MB">
-  <!ENTITY libtasn1-buildsize     "9.5 MB (11 MB with tests)">
-  <!ENTITY libtasn1-time          "0.1 SBU">
+  <!ENTITY libtasn1-buildsize     "11 MB">
+  <!ENTITY libtasn1-time          "0.1 SBU (additional 0.1 SBU for the tests)">
 ]>
 
Index: general/genutils/iso-codes.xml
===================================================================
--- general/genutils/iso-codes.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ general/genutils/iso-codes.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -10,7 +10,7 @@
   <!ENTITY iso-codes-download-http "http://pkg-isocodes.alioth.debian.org/downloads/iso-codes-&iso-codes-version;.tar.xz">
   <!ENTITY iso-codes-download-ftp  " ">
-  <!ENTITY iso-codes-md5sum        "0f3f6ce16b3cf4b92538b8255e0dfa92">
-  <!ENTITY iso-codes-size          "3.5 MB">
-  <!ENTITY iso-codes-buildsize     "107 MB">
+  <!ENTITY iso-codes-md5sum        "35afa0ba21ac2dcd68eb49e546908936">
+  <!ENTITY iso-codes-size          "3.6 MB">
+  <!ENTITY iso-codes-buildsize     "109 MB">
   <!ENTITY iso-codes-time          "0.2 SBU (additional 0.1 SBU for the tests)">
 ]>
Index: general/genutils/screen.xml
===================================================================
--- general/genutils/screen.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ general/genutils/screen.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -7,7 +7,7 @@
   <!ENTITY screen-download-http "http://ftp.gnu.org/gnu/screen/screen-&screen-version;.tar.gz">
   <!ENTITY screen-download-ftp "ftp://ftp.gnu.org/gnu/screen/screen-&screen-version;.tar.gz">
-  <!ENTITY screen-md5sum "8506fd205028a96c741e4037de6e3c42">
-  <!ENTITY screen-size "821 KB">
-  <!ENTITY screen-buildsize "5.8 MB">
+  <!ENTITY screen-md5sum "419a0594e2b25039239af8b90eda7d92">
+  <!ENTITY screen-size "1.1 MB">
+  <!ENTITY screen-buildsize "8.2 MB">
   <!ENTITY screen-time "0.2 SBU">
 ]>
@@ -82,5 +82,5 @@
             --infodir=/usr/share/info         \
             --mandir=/usr/share/man           \
-            --with-socket-dir=/var/run/screen \
+            --with-socket-dir=/run/screen     \
             --with-pty-group=5                \
             --with-sys-screenrc=/etc/screenrc &amp;&amp;
@@ -101,5 +101,5 @@
     <title>Command Explanations</title>
 
-    <para><parameter>--with-socket-dir=/var/run/screen</parameter>: This option
+    <para><parameter>--with-socket-dir=/run/screen</parameter>: This option
     places the per-user sockets in a standard location.</para>
 
@@ -160,7 +160,7 @@
 
       <seglistitem>
-        <seg>screen</seg>
+        <seg>screen (symlink) and screen-&screen-version;</seg>
         <seg>None</seg>
-        <seg>/var/run/screen</seg>
+        <seg>/usr/share/screen and /run/screen</seg>
       </seglistitem>
     </segmentedlist>
Index: general/graphlib/openjpeg.xml
===================================================================
--- general/graphlib/openjpeg.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ general/graphlib/openjpeg.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -5,10 +5,11 @@
   %general-entities;
 
-  <!ENTITY openjpeg-download-http "http://openjpeg.googlecode.com/files/openjpeg-&openjpeg-version;.tar.gz">
+  <!ENTITY openjpeg-download-http "http://downloads.sourceforge.net/project/openjpeg.mirror/&openjpeg-version;/openjpeg-&openjpeg-version;.tar.gz">
+<!--  <!ENTITY openjpeg-download-http "http://openjpeg.googlecode.com/files/openjpeg-&openjpeg-version;.tar.gz">-->
   <!ENTITY openjpeg-download-ftp  " ">
-  <!ENTITY openjpeg-md5sum        "b5f74cec2688fb918331bb014061be6f">
-  <!ENTITY openjpeg-size          "2.0 MB">
-  <!ENTITY openjpeg-buildsize     "17 MB">
-  <!ENTITY openjpeg-time          "0.1 SBU">
+  <!ENTITY openjpeg-md5sum        "c41772c30fb1c272358b3707233134a1">
+  <!ENTITY openjpeg-size          "1.4 MB">
+  <!ENTITY openjpeg-buildsize     "16 MB">
+  <!ENTITY openjpeg-time          "0.2 SBU">
 ]>
 
@@ -84,5 +85,6 @@
     <title>Installation of OpenJPEG</title>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>autoreconf -f -i &amp;&amp;
+./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
Index: general/prog/mercurial.xml
===================================================================
--- general/prog/mercurial.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ general/prog/mercurial.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -7,10 +7,10 @@
   <!ENTITY mercurial-download-http "http://mercurial.selenic.com/release/mercurial-&mercurial-version;.tar.gz">
   <!ENTITY mercurial-download-ftp  " ">
-  <!ENTITY mercurial-md5sum        "1caeed1bea1232598fc5ce5d6d109f56">
-  <!ENTITY mercurial-size          "3.7 MB">
-  <!ENTITY mercurial-buildsize     "43 MB (additional 1MB for the tests and 1 MB for docs generation)
+  <!ENTITY mercurial-md5sum        "133ff0a31047d2c0b4640943a58535a7">
+  <!ENTITY mercurial-size          "3.8 MB">
+  <!ENTITY mercurial-buildsize     "43 MB (additional 2MB for the tests and 2 MB for docs generation)
 
 ">
-  <!ENTITY mercurial-time          "less than 0.1 SBU (additional 7.6 SBU for tests)">
+  <!ENTITY mercurial-time          "less than 0.1 SBU (additional 7.8 SBU for tests)">
 ]>
 
@@ -173,6 +173,5 @@
       <seglistitem>
         <seg>hg</seg>
-        <seg>/usr/lib/python&python2-majorver;/site-packages/hgext/inotify/linux/_inotify.so and
-             several under /usr/lib/python&python2-majorver;/site-packages/mercurial</seg>
+        <seg>several under /usr/lib/python&python2-majorver;/site-packages/mercurial</seg>
         <seg>/etc/mercurial, /usr/lib/python&python2-majorver;/site-packages/hgext and
              /usr/lib/python&python2-majorver;/site-packages/mercurial</seg>
Index: general/sysutils/colord.xml
===================================================================
--- general/sysutils/colord.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ general/sysutils/colord.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -138,5 +138,4 @@
             --enable-vala                \
             --disable-bash-completion    \
-            --disable-systemd-login      \
             --disable-static &amp;&amp;
 make</userinput></screen>
@@ -180,9 +179,7 @@
 
     <para>
-      <parameter>--disable-systemd-login</parameter>: This switch
-      prevents <command>configure</command> to look for
-      <application>Systemd</application> libraries since
-      <application>Systemd</application> is not part of
-      LFS or BLFS.
+      <option>--disable-systemd-login</option>: This switch prevents
+      <command>configure</command> to look for
+      <application>Systemd</application> libraries.
     </para>
 
Index: gnome/applications/totem.xml
===================================================================
--- gnome/applications/totem.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ gnome/applications/totem.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -9,7 +9,7 @@
   <!ENTITY totem-download-ftp  
      "&gnome-download-ftp;/totem/&gnome-minor;/totem-&totem-version;.tar.xz">
-  <!ENTITY totem-md5sum        "299f6eb10902829fc1368034e6edb509">
+  <!ENTITY totem-md5sum        "2b506bae9468331d1e5aec4fab231ad7">
   <!ENTITY totem-size          "3.2 MB">
-  <!ENTITY totem-buildsize     "70 MB">
+  <!ENTITY totem-buildsize     "68 MB">
   <!ENTITY totem-time          "1.7 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ introduction/welcome/changelog.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -44,4 +44,58 @@
 
 -->
+
+    <listitem>
+      <para>May 4th, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Fixes to colord-1.2.0 and ConsoleKit-0.4.6.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - libdrm-2.4.54. Fixes
+          <ulink url="&blfs-ticket-root;5024">#5024</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - serf-1.3.5. Fixes
+          <ulink url="&blfs-ticket-root;4998">#4998</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - screen-4.2.1. Fixes
+          <ulink url="&blfs-ticket-root;4999">#4999</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - rxvt-unicode-9.20. Fixes
+          <ulink url="&blfs-ticket-root;4995">#4995</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - xterm-304. Fixes
+          <ulink url="&blfs-ticket-root;5026">#5026</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - whois_5.1.2. Fixes
+          <ulink url="&blfs-ticket-root;5025">#5025</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - mercurial-3.0. Fixes
+          <ulink url="&blfs-ticket-root;5018">#5018</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - openjpeg-1.5.2. Fixes
+          <ulink url="&blfs-ticket-root;5009">#5009</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - iso-codes-3.53. Fixes
+          <ulink url="&blfs-ticket-root;5020">#5020</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - libtasn1-3.5. Fixes
+          <ulink url="&blfs-ticket-root;5021">#5021</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - totem-3.12.1. Fixes
+          <ulink url="&blfs-ticket-root;5013">#5013</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>May 3rd, 2014</para>
Index: networking/netlibs/serf.xml
===================================================================
--- networking/netlibs/serf.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ networking/netlibs/serf.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -10,8 +10,8 @@
   <!ENTITY serf-download-http "https://serf.googlecode.com/svn/src_releases/serf-&serf-version;.tar.bz2">
   <!ENTITY serf-download-ftp  " ">
-  <!ENTITY serf-md5sum        "9820da2c46ee10773309f0de657cddfd">
-  <!ENTITY serf-size          "137 KB">
-  <!ENTITY serf-buildsize     "3.2 MB">
-  <!ENTITY serf-time          "0.1 SBU">
+  <!ENTITY serf-md5sum        "5f642135442ae5a9658ab5c82bfc5209">
+  <!ENTITY serf-size          "140 KB">
+  <!ENTITY serf-buildsize     "2.6 MB (additional 2.0 MB for the tests)">
+  <!ENTITY serf-time          "less than 0.1 SBU (additional 0.3 SBU for the tests)">
 ]>
 
Index: networking/netutils/whois.xml
===================================================================
--- networking/netutils/whois.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ networking/netutils/whois.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -7,5 +7,5 @@
   <!ENTITY whois-download-http "http://ftp.debian.org/debian/pool/main/w/whois/whois_&whois-version;.tar.xz">
   <!ENTITY whois-download-ftp  "ftp://ftp.debian.org/debian/pool/main/w/whois/whois_&whois-version;.tar.xz">
-  <!ENTITY whois-md5sum        "aa4561134a03e22e2d759748ca676a97">
+  <!ENTITY whois-md5sum        "a103596a4da3f1795fccbd9432c59ec9">
   <!ENTITY whois-size          "76 KB">
   <!ENTITY whois-buildsize     "1.4 MB">
Index: postlfs/security/consolekit.xml
===================================================================
--- postlfs/security/consolekit.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ postlfs/security/consolekit.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -257,5 +257,4 @@
     </segmentedlist>
 
-<!--
     <variablelist>
       <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@@ -263,4 +262,5 @@
       <?dbhtml list-presentation="table"?>
 
+<!--
       <varlistentry id="ck-history">
         <term><command>ck-history</command></term>
@@ -282,9 +282,11 @@
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry id="ck-list-sessions">
         <term><command>ck-list-sessions</command></term>
         <listitem>
-          <para>does this .....</para>
+          <para>list sessions with respective properties. Also good for
+          debugging purposes.</para>
           <indexterm zone="consolekit ck-list-sessions">
             <primary sortas="b-ck-list-sessions">ck-list-sessions</primary>
@@ -292,5 +294,5 @@
         </listitem>
       </varlistentry>
-
+<!--
       <varlistentry id="ck-log-system-restart">
         <term><command>ck-log-system-restart</command></term>
@@ -402,7 +404,6 @@
         </listitem>
       </varlistentry>
-
+-->
     </variablelist>
--->
 
   </sect2>
Index: x/installing/xterm.xml
===================================================================
--- x/installing/xterm.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ x/installing/xterm.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -7,8 +7,8 @@
   <!ENTITY xterm-download-http " ">
   <!ENTITY xterm-download-ftp  "ftp://invisible-island.net/xterm/xterm-&xterm-version;.tgz">
-  <!ENTITY xterm-md5sum        "48f6d49b2b6b6933d501d767cbed9254">
-  <!ENTITY xterm-size          "1.1 MB">
+  <!ENTITY xterm-md5sum        "8a9460d848cf4ed244fcfc9b07d1c3d0">
+  <!ENTITY xterm-size          "1.2 MB">
   <!ENTITY xterm-buildsize     "12 MB">
-  <!ENTITY xterm-time          "0.1 SBU">
+  <!ENTITY xterm-time          "0.2 SBU">
 ]>
 
Index: x/lib/libdrm.xml
===================================================================
--- x/lib/libdrm.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ x/lib/libdrm.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -7,6 +7,6 @@
   <!ENTITY libdrm-download-http "http://dri.freedesktop.org/libdrm/libdrm-&libdrm-version;.tar.bz2">
   <!ENTITY libdrm-download-ftp  " ">
-  <!ENTITY libdrm-md5sum        "342886a137ddd9ed4341675d132388ad">
-  <!ENTITY libdrm-size          "568 KB">
+  <!ENTITY libdrm-md5sum        "56e98a9c2073c3fab7f95e003b657f46">
+  <!ENTITY libdrm-size          "632 KB">
   <!ENTITY libdrm-buildsize     "11 MB (additional 1 MB for the tests)">
   <!ENTITY libdrm-time          "0.2 SBU (additional less than 0.1 SBU for the tests)">
Index: xsoft/other/rxvt-unicode.xml
===================================================================
--- xsoft/other/rxvt-unicode.xml	(revision 5aca553e809508db8c95572f63c1625897db8b21)
+++ xsoft/other/rxvt-unicode.xml	(revision 7715803d58900147b70bf7ef4e98e1663119eca2)
@@ -7,8 +7,8 @@
   <!ENTITY rxvt-unicode-download-http "http://dist.schmorp.de/rxvt-unicode/Attic/rxvt-unicode-&rxvt-unicode-version;.tar.bz2">
   <!ENTITY rxvt-unicode-download-ftp  " ">
-  <!ENTITY rxvt-unicode-md5sum        "45ad197eb9b5a840c0f65e3a8131921c">
-  <!ENTITY rxvt-unicode-size          "893 KB">
-  <!ENTITY rxvt-unicode-buildsize     "30 MB">
-  <!ENTITY rxvt-unicode-time          "0.3 SBU">
+  <!ENTITY rxvt-unicode-md5sum        "4a5b823f08d21036f94a6c51e94d025b">
+  <!ENTITY rxvt-unicode-size          "896 KB">
+  <!ENTITY rxvt-unicode-buildsize     "25 MB">
+  <!ENTITY rxvt-unicode-time          "0.2 SBU">
 ]>
 