Index: xsoft/graphweb/graphweb.xml
===================================================================
--- xsoft/graphweb/graphweb.xml	(revision 95c49bef1dd8b8736c1e799c852b8348ef16c083)
+++ xsoft/graphweb/graphweb.xml	(revision 7788630df27acad72e865c12b63e5f9746867837)
@@ -23,5 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="falkon.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="firefox.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="midori.xml"/>
+  <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="midori.xml"/>-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="seamonkey.xml"/>
   <!-- <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="galeon.xml"/> -->
Index: xsoft/graphweb/midori.xml
===================================================================
--- xsoft/graphweb/midori.xml	(revision 95c49bef1dd8b8736c1e799c852b8348ef16c083)
+++ 	(revision )
@@ -1,230 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY midori-download-http
-           "http://www.midori-browser.org/downloads/midori_&midori-version;_all_.tar.bz2">
-  <!ENTITY midori-download-ftp  " ">
-  <!ENTITY midori-md5sum        "fcc03ef759fce4fe9f2446d9da4a065e">
-  <!ENTITY midori-size          "1.4 MB">
-  <!ENTITY midori-buildsize     "91 MB">
-  <!ENTITY midori-time          "0.8 SBU">
-]>
-
-<sect1 id="midori" xreflabel="Midori-&midori-version;">
-  <?dbhtml filename="midori.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Midori-&midori-version;</title>
-
-  <indexterm zone="midori">
-    <primary sortas="a-Midori">Midori</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Midori</title>
-
-    <para>
-      <application>Midori</application> is a lightweight web browser that uses
-      <application>WebKitGTK+</application>.
-    </para>
-
-    &lfs82_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&midori-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&midori-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &midori-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &midori-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &midori-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &midori-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Midori Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="cmake"/>,
-      <xref linkend="gcr"/>,
-      <xref linkend="libnotify"/>,
-      <xref linkend="webkitgtk"/> (see "Command Explanations"), and
-      <xref linkend="vala"/>
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="librsvg"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="gtk-doc"/>,
-      <!--<xref linkend="webkitgtk2"/>, and -->
-      <ulink url="http://webkitgtk.org/releases/">WebKitGTK+-2.4.11</ulink> , and 
-      <phrase revision="sysv"><ulink url="https://launchpad.net/zeitgeist/0.9/">Zeitgeist</ulink></phrase>
-      <phrase revision="systemd"><xref linkend="libzeitgeist"/></phrase>
-    </para>
-
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/midori"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Midori</title>
-
-    <para>
-      Install <application>Midori</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>sed -e 's/protected Tally/public Tally/g'  \
-    -i midori/midori-notebook.vala         &amp;&amp;
-sed -e 's/%d other files/%u other files/g' \
-    -i extensions/transfers.vala           &amp;&amp;
-
-for f in transfers adblock/widgets apps history-list notes; do
-    sed -e 's/.remove (iter/.remove (ref iter/g' \
-        -i "extensions/$f.vala"
-done        &amp;&amp;
-
-mkdir build &amp;&amp;
-cd    build &amp;&amp;
-
-cmake -DCMAKE_INSTALL_PREFIX=/usr \
-      -DCMAKE_BUILD_TYPE=Release  \
-      -DUSE_ZEITGEIST=OFF         \
-      -DHALF_BRO_INCOM_WEBKIT2=ON \
-      -DUSE_GTK3=1                \
-      -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/midori-&midori-version; \
-      ..  &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a working test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <command>sed ...</command>: The recent release of vala generates errors
-      for some constructs that were accepted before. The <command>sed</command>
-      commands fix those errors.
-    </para>
-
-    <para>
-      <parameter>-DCMAKE_BUILD_TYPE=Release</parameter>: This switch is
-      used to apply a higher level of compiler optimizations.
-    </para>
-
-    <para>
-      <parameter>-DUSE_ZEITGEIST=OFF</parameter>: Remove this switch if
-      Zeitgeist is installed.
-    </para>
-
-    <para>
-      <parameter>-DHALF_BRO_INCOM_WEBKIT2=ON</parameter>: Links to <xref
-      linkend="webkitgtk"/> instead of WebKitGTK+-2.4.x. Strictly
-      speaking, <xref linkend="webkitgtk"/> is not required and Midori could
-      be linked to WebKitGTK+-2.4.x. The former used to be considered <quote>
-      experimental</quote> by upstream, but now is considered stable. However
-      the syntax has not yet been updated.
-    </para>
-
-    <para>
-      <parameter>-DUSE_GTK3=1</parameter>: Using this switch allows linking to
-      WebkitGTK+ built against <application>GTK+ 3</application>.
-    </para>
-
-    <para>
-      <option>-DUSE_APIDOCS=1</option>: Use this switch if
-      <application>GTK-Doc</application> is installed and you
-      wish to build and install the API documentation.
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          midori
-        </seg>
-        <seg>
-          libmidori-core.so
-        </seg>
-        <seg>
-          /{etc/xdg,/usr/{lib,share}}/midori and
-          /usr/share/doc/midori-&midori-version;
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="midori-prog">
-        <term><command>midori</command></term>
-        <listitem>
-          <para>
-            is a lightweight <application>WebKitGTK+</application> browser.
-          </para>
-          <indexterm zone="midori midori-prog">
-            <primary sortas="b-midori">midori</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: xsoft/other/ekiga.xml
===================================================================
--- xsoft/other/ekiga.xml	(revision 95c49bef1dd8b8736c1e799c852b8348ef16c083)
+++ 	(revision )
@@ -1,242 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY ekiga-download-http "&gnome-download-http;/ekiga/4.0/ekiga-&ekiga-version;.tar.xz">
-  <!ENTITY ekiga-download-ftp  "&gnome-download-ftp;/ekiga/4.0/ekiga-&ekiga-version;.tar.xz">
-  <!ENTITY ekiga-md5sum        "704ba532a8e3e0b5e3e2971dd2db39e4">
-  <!ENTITY ekiga-size          "8.0 MB">
-  <!ENTITY ekiga-buildsize     "315 MB">
-  <!ENTITY ekiga-time          "3.5 SBU">
-]>
-
-<sect1 id="ekiga" xreflabel="Ekiga-&ekiga-version;">
-  <?dbhtml filename="ekiga.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Ekiga-&ekiga-version;</title>
-
-  <indexterm zone="ekiga">
-    <primary sortas="a-Ekiga">Ekiga</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Ekiga</title>
-
-    <para>
-      <application>Ekiga</application> is a VoIP, IP Telephony, and Video
-      Conferencing application that allows you to make audio and video calls to
-      remote users with SIP or H.323 compatible hardware and software.  It
-      supports many audio and video codecs and all modern VoIP features for
-      both SIP and H.323.  <application>Ekiga</application> is the first Open
-      Source application to support both H.323 and SIP, as well as audio and
-      video.
-    </para>
-
-    &lfs82_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&ekiga-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&ekiga-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &ekiga-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &ekiga-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &ekiga-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &ekiga-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Ekiga Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="boost"/>,
-      <xref linkend="gnome-icon-theme"/>,
-      <xref linkend="gtk2"/>, and
-      <xref linkend="opal"/>
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="dbus-glib"/>,
-      <xref linkend="GConf"/>, and
-      <xref linkend="libnotify"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="avahi"/>,
-      <phrase revision="sysv"><ulink url="&gnome-download-http;/evolution-data-server/">
-      Evolution Data Server</ulink></phrase>
-      <phrase revision="systemd"><xref linkend="evolution-data-server"/></phrase>,
-      <ulink url="&gnome-download-http;/gnome-doc-utils/">
-      GNOME Doc Utils</ulink>, and
-      <xref linkend="openldap"/>
-    </para>
-
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/ekiga"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Ekiga</title>
-
-    <para>
-      Install <application>Ekiga</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr     \
-            --sysconfdir=/etc \
-            --disable-eds     \
-            --disable-gdu     \
-            --disable-ldap    &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <parameter>--disable-eds</parameter>: This switch disables support for the
-      <application>Evolution Data Server</application>. Remove if you have
-      installed <application>Evolution Data Server</application>.
-    </para>
-
-    <para>
-      <parameter>--disable-gdu</parameter>: This switch disables documentation
-      generation using <application>GNOME Doc Utils</application>. Remove if
-      you have installed <application>GNOME Doc Utils</application>.
-    </para>
-
-    <para>
-      <parameter>--disable-ldap</parameter>: This switch disables LDAP support
-      in <application>Ekiga</application>. Remove if you have installed
-      <application>OpenLDAP</application>.
-    </para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/without-scrollkeeper.xml"/>
-
-    <para>
-      <option>--disable-dbus</option>: This switch disables
-      <application>D-Bus</application> support. Use if you have not installed
-      <application>D-Bus</application>.
-    </para>
-
-    <para>
-      <option>--enable-avahi</option>: This switch enables use of the
-      <application>Avahi</application> with <application>Ekiga</application>.
-      Use if you have installed <application>Avahi</application>.
-    </para>
-
-    <note>
-      <para>
-        If you have not installed recommended dependencies you will need
-        additional switches passed to <command>configure</command>. Examine
-        <command>./configure --help</command> output to see all available
-        switches.
-      </para>
-    </note>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          ekiga, ekiga-config-tool and ekiga-helper
-        </seg>
-        <seg>
-          None
-        </seg>
-        <seg>
-          /usr/lib/ekiga,
-          /usr/share/gnome/help/ekiga,
-          /usr/share/omf/ekiga,
-          /usr/share/pixmaps/ekiga and
-          /usr/share/sounds/ekiga
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="ekiga-prog">
-        <term><command>ekiga</command></term>
-        <listitem>
-          <para>
-            is a SIP and H.323 VoIP, IP Telephony and Video Conferencing
-            application which complies to the SIP and H.323 protocols.
-          </para>
-          <indexterm zone="ekiga ekiga-prog">
-            <primary sortas="b-ekiga">ekiga</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-     <varlistentry id="ekiga-config-tool">
-        <term><command>ekiga-config-tool</command></term>
-        <listitem>
-          <para>
-            fixes problems with the Ekiga settings.
-          </para>
-          <indexterm zone="ekiga ekiga-config-tool">
-            <primary sortas="b-ekiga-config-tool">ekiga-config-tool</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-  </sect2>
-
-</sect1>
Index: xsoft/other/icedtea-web.xml
===================================================================
--- xsoft/other/icedtea-web.xml	(revision 95c49bef1dd8b8736c1e799c852b8348ef16c083)
+++ xsoft/other/icedtea-web.xml	(revision 7788630df27acad72e865c12b63e5f9746867837)
@@ -71,7 +71,7 @@
     such as:</bridgehead>
     <para role="required">
-      <xref role="runtime" linkend="epiphany"/>,
+      <xref role="runtime" linkend="epiphany"/> or
 <!-- support removed in firefox-52, see https://support.mozilla.org/en-US/kb/npapi-plugins      <xref linkend="firefox"/>,
--->   <xref role="runtime" linkend="midori"/>, or
+      <xref role="runtime" linkend="midori"/>, or -->
       <xref role="runtime" linkend="seamonkey"/>
     </para>
Index: xsoft/other/other.xml
===================================================================
--- xsoft/other/other.xml	(revision 95c49bef1dd8b8736c1e799c852b8348ef16c083)
+++ xsoft/other/other.xml	(revision 7788630df27acad72e865c12b63e5f9746867837)
@@ -20,5 +20,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="balsa.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ekiga.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ekiga.xml"/>-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="feh.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="fontforge.xml"/>