Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 8d50c5342cb63fc038aa1eefa074f0d78033156f)
+++ multimedia/libdriv/gst10-libav.xml	(revision 07834274e2ac19e7810a43a47241874a8b4d6681)
@@ -7,8 +7,8 @@
   <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
   <!ENTITY gst10-libav-download-ftp  " ">
-  <!ENTITY gst10-libav-md5sum        "6454f9f22b3aa37694781633e0d20a9c">
-  <!ENTITY gst10-libav-size          "4.4 MB">
-  <!ENTITY gst10-libav-buildsize     "243 MB (adittional 1 MB for the tests)">
-  <!ENTITY gst10-libav-time          "2 SBU">
+  <!ENTITY gst10-libav-md5sum        "60811ae08c26fa093a96996582962c75">
+  <!ENTITY gst10-libav-size          "5 MB">
+  <!ENTITY gst10-libav-buildsize     "249 MB (adittional 1 MB for the tests)">
+  <!ENTITY gst10-libav-time          "2.2 SBU">
 ]>
 
@@ -89,4 +89,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="valgrind"/> and
       <ulink url="http://code.entropywave.com/projects/orc/">ORC</ulink>
     </para>
@@ -136,6 +137,6 @@
     <segmentedlist>
       <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directory</segtitle>
 
       <seglistitem>
@@ -147,5 +148,5 @@
         </seg>
         <seg>
-          None
+          /usr/share/gtk-doc/html/gst-libav-plugins-1.0
         </seg>
       </seglistitem>
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 8d50c5342cb63fc038aa1eefa074f0d78033156f)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 07834274e2ac19e7810a43a47241874a8b4d6681)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "16c2050716383926909664aa6c6aca2b">
-  <!ENTITY gst10-plugins-bad-size          "3.2 MB">
-  <!ENTITY gst10-plugins-bad-buildsize     "110 MB (additional 6 MB to run the test suite)">
-  <!ENTITY gst10-plugins-bad-time          "1.2 SBU (additional 1.1 SBU to run the test suite)">
+  <!ENTITY gst10-plugins-bad-md5sum        "3bc0fcfe8d16ad1295f0454c1fcb4ba3">
+  <!ENTITY gst10-plugins-bad-size          "3.7 MB">
+  <!ENTITY gst10-plugins-bad-buildsize     "138 MB (additional 7 MB to run the test suite)">
+  <!ENTITY gst10-plugins-bad-time          "1.6 SBU (additional 1 SBU to run the test suite)">
 ]>
 
@@ -106,4 +106,5 @@
       <xref linkend="libass"/>,
       <xref linkend="libexif"/>,
+      <xref linkend="libgcrypt"/>,
       <xref linkend="libmpeg2"/>,
       <xref linkend="libvdpau"/>,
@@ -113,4 +114,5 @@
       <xref linkend="openjpeg"/>,
       <xref linkend="openssl"/>,
+      <xref linkend="sdl"/>,
       <xref linkend="valgrind"/>,
       <xref linkend="xorg7-lib"/>,
@@ -165,6 +167,6 @@
 
     <para>
-      Install <application>GStreamer Bad Plug-ins</application> by running the following
-      commands:
+      Install <application>GStreamer Bad Plug-ins</application> by running the
+      following commands:
     </para>
 
@@ -175,7 +177,7 @@
 
     <para>
-      To test the results, issue: <command>make -k check</command>. Some tests
-      fail for unknown reasons.
-
+      To test the results, issue: <command>make check</command>. One test
+      (camerabin) needs hardware with a camera. A couple of tests need a
+      terminal emulator in a graphical session.
     </para>
 
@@ -200,15 +202,15 @@
         </seg>
         <seg>
+          libgstbadbase-1.0.so, libgstbadvideo-1.0.so,
           libgstbasecamerabinsrc-1.0.so, libgstcodecparsers-1.0.so,
-          libgstegl-1.0.so, libgstinsertbin-1.0.so,
-          libgstmpegts-1.0.so, libgstphotography-1.0.so,
-          libgsturidownloader-1.0.so and several plugins under
-          /usr/lib/gstreamer-1.0
+          libgstgl-1.0.so, libgstinsertbin-1.0.so, libgstmpegts-1.0.so,
+          libgstphotography-1.0.so, libgsturidownloader-1.0.so and
+          several plugins under /usr/lib/gstreamer-1.0
         </seg>
         <seg>
-          /usr/include/gstreamer-1.0/gst/{basecamerabinsrc,egl,codecparsers},
+          /usr/include/gstreamer-1.0/gst/{basecamerabinsrc,gl,codecparsers},
           /usr/include/gstreamer-1.0/gst/{insertbin,interfaces},
           /usr/include/gstreamer-1.0/gst/{mpegts,uridownloader} and
-          /usr/share/gtk-doc/html/gst-plugins-bad-libs-1.0
+          /usr/share/gtk-doc/html/gst-plugins-bad-{libs,plugins}-1.0
         </seg>
       </seglistitem>
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 8d50c5342cb63fc038aa1eefa074f0d78033156f)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 07834274e2ac19e7810a43a47241874a8b4d6681)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "278e0a1872ecb981e91830b2cb7f3e98">
+  <!ENTITY gst10-plugins-base-md5sum        "1ff06280b03b9098a706d1290d8bb3bd">
   <!ENTITY gst10-plugins-base-size          "2.5 MB">
-  <!ENTITY gst10-plugins-base-buildsize     "96 MB (additional 12 MB to run the test suite)">
-  <!ENTITY gst10-plugins-base-time          "1.1 SBU (additional 0.6 SBU to run the test suite)">
+  <!ENTITY gst10-plugins-base-buildsize     "93 MB (additional 13 MB to run the test suite)">
+  <!ENTITY gst10-plugins-base-time          "1.1 SBU (additional 0.7 SBU to run the test suite)">
 ]>
 
@@ -78,14 +78,4 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Optional patch :
-          <ulink url="&patch-root;/gst-plugins-base-&gst10-plugins-base-version;-gcc_4_9_0_i686-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
     <bridgehead renderas="sect3">GStreamer Base Plug-ins Dependencies</bridgehead>
 
@@ -116,10 +106,10 @@
       <xref linkend="cdparanoia"/>,
       <xref linkend="gtk3"/>,
+      <xref linkend="gtk-doc"/>,
       <xref linkend="qt4"/>,
-      <xref linkend="gtk-doc"/>,
-      <ulink url="http://wiki.xiph.org/Tremor">Tremor</ulink>,
+      <xref linkend="valgrind"/>,
       <ulink url="http://sourceforge.net/projects/libvisual/">libvisual</ulink>,
       <ulink url="http://code.entropywave.com/projects/orc/">ORC</ulink>, and
-      <xref linkend="valgrind"/>
+      <ulink url="http://wiki.xiph.org/Tremor">Tremor</ulink>
     </para>
 
@@ -135,10 +125,4 @@
       needs to be installed before this application.
     </para></note>
-
-    <para>
-      First, if you are using i686 and gcc-4.9.0, fix a compile problem:
-    </para>
-
-<screen role="nodump"><userinput>patch -Np1 -i ../gst-plugins-base-&gst10-plugins-base-version;-gcc_4_9_0_i686-1.patch</userinput></screen>
 
     <para>
@@ -183,5 +167,5 @@
       <seglistitem>
         <seg>
-          gst-discoverer-1.0 and gst-play-1.0
+          gst-device-monitor-1.0, gst-discoverer-1.0 and gst-play-1.0
         </seg>
         <seg>
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 8d50c5342cb63fc038aa1eefa074f0d78033156f)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 07834274e2ac19e7810a43a47241874a8b4d6681)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "8aac024ee0cd98b67a3066ad31d8c677">
-  <!ENTITY gst10-plugins-good-size          "2.8 MB">
-  <!ENTITY gst10-plugins-good-buildsize     "103 MB (additional 11 MB to run the test suite)">
-  <!ENTITY gst10-plugins-good-time          "1.2 SBU (additional 1.4 SBU to run the test suite)">
+  <!ENTITY gst10-plugins-good-md5sum        "8007d57a38f6b2882961b2547fa4597c">
+  <!ENTITY gst10-plugins-good-size          "2.9 MB">
+  <!ENTITY gst10-plugins-good-buildsize     "105 MB (additional 10 MB to run the test suite)">
+  <!ENTITY gst10-plugins-good-time          "1.2 SBU (additional 0.9 SBU to run the test suite)">
 ]>
 
@@ -136,6 +136,6 @@
 
     <para>
-      Install <application>GStreamer Good Plug-ins</application> by running the following
-      commands:
+      Install <application>GStreamer Good Plug-ins</application> by running the
+      following commands:
     </para>
 
@@ -147,5 +147,5 @@
     <para>
       To test the results, issue: <command>make -k check</command>. Some tests
-      fail for unknown reasons.
+      are known to fail.
     </para>
 
@@ -163,5 +163,5 @@
       <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
@@ -173,5 +173,6 @@
         </seg>
         <seg>
-          /usr/share/gstreamer-1.0/presets
+          /usr/share/gstreamer-1.0/presets and
+          /usr/share/gtk-doc/html/gst-plugins-good-plugins-1.0
         </seg>
       </seglistitem>
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 8d50c5342cb63fc038aa1eefa074f0d78033156f)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 07834274e2ac19e7810a43a47241874a8b4d6681)
@@ -8,7 +8,7 @@
            "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "c87a27db498bb736f6c266198657ea74">
+  <!ENTITY gst10-plugins-ugly-md5sum        "558146cb5ec8b313afe2113aafc3da85">
   <!ENTITY gst10-plugins-ugly-size          "828 KB">
-  <!ENTITY gst10-plugins-ugly-buildsize     "15 MB">
+  <!ENTITY gst10-plugins-ugly-buildsize     "16 MB (additional 1 MB to run the test suite)">
   <!ENTITY gst10-plugins-ugly-time          "0.2 SBU">
 ]>
@@ -146,5 +146,5 @@
       <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
@@ -156,5 +156,6 @@
         </seg>
         <seg>
-          /usr/share/gstreamer-1.0/presets
+          /usr/share/gstreamer-1.0/presets and
+          /usr/share/gtk-doc/html/gst-plugins-ugly-plugins-1.0
         </seg>
       </seglistitem>
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 8d50c5342cb63fc038aa1eefa074f0d78033156f)
+++ multimedia/libdriv/gstreamer10.xml	(revision 07834274e2ac19e7810a43a47241874a8b4d6681)
@@ -7,8 +7,8 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "74d8f674187a5f0ddf38da594c3998c3">
-  <!ENTITY gstreamer10-size          "3.1 MB">
-  <!ENTITY gstreamer10-buildsize     "76 MB (additional 20MB to run the test suite)">
-  <!ENTITY gstreamer10-time          "0.6 SBU (additional 0.7 SBU to run the test suite)">
+  <!ENTITY gstreamer10-md5sum        "594c0c06eaace9b9d3bad010de1bdfae">
+  <!ENTITY gstreamer10-size          "3.2 MB">
+  <!ENTITY gstreamer10-buildsize     "77 MB (additional 19 MB to run the test suite)">
+  <!ENTITY gstreamer10-time          "0.7 SBU (additional 0.8 SBU to run the test suite)">
 ]>
 