Index: multimedia/libdriv/alsa-plugins.xml
===================================================================
--- multimedia/libdriv/alsa-plugins.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/alsa-plugins.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_built;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-utils-systemd.xml
===================================================================
--- multimedia/libdriv/alsa-utils-systemd.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/alsa-utils-systemd.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/audiofile.xml
===================================================================
--- multimedia/libdriv/audiofile.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/audiofile.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/faad2.xml
===================================================================
--- multimedia/libdriv/faad2.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/faad2.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -34,5 +34,5 @@
     and known as Advanced Audio Coding (AAC).</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst-ffmpeg.xml
===================================================================
--- multimedia/libdriv/gst-ffmpeg.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/gst-ffmpeg.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
@@ -109,5 +109,5 @@
     </para>
 
-<screen><userinput>patch -p1 &lt; ../gst-ffmpeg-&gst-ffmpeg-version;-gcc-4.7-1.patch &amp;&amp;
+<screen><userinput>patch -Np1 -i ../gst-ffmpeg-&gst-ffmpeg-version;-gcc-4.7-1.patch &amp;&amp;
 ./configure --prefix=/usr \
             --with-package-name="GStreamer FFMpeg Plugins &gst-ffmpeg-version; BLFS" \
Index: multimedia/libdriv/gst-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst-plugins-bad.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/gst-plugins-bad.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
@@ -154,8 +154,4 @@
     <title>Installation of GStreamer Bad Plug-ins</title>
 
-    <note><para>If you need a plugin for a given dependency, that dependency
-      needs to be installed before this application.
-    </para></note>
-
     <para>
       Install <application>Gstreamer Bad Plug-ins</application> by running the following
Index: multimedia/libdriv/gst-plugins-base-systemd.xml
===================================================================
--- multimedia/libdriv/gst-plugins-base-systemd.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/gst-plugins-base-systemd.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -140,8 +140,4 @@
   <sect2 role="installation">
     <title>Installation of GStreamer Base Plug-ins</title>
-
-    <note><para>If you need a plugin for a given dependency, that dependency
-      needs to be installed before this application.
-    </para></note>
 
     <para>
Index: multimedia/libdriv/gst-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst-plugins-good.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/gst-plugins-good.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
@@ -145,8 +145,4 @@
     <title>Installation of GStreamer Good Plug-ins</title>
 
-    <note><para>If you need a plugin for a given dependency, that dependency
-      needs to be installed before this application.
-    </para></note>
-
     <para>
       Install <application>GStreamer Good Plug-ins</application> by running the
Index: multimedia/libdriv/gst-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst-plugins-ugly.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/gst-plugins-ugly.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
@@ -140,8 +140,4 @@
     <title>Installation of GStreamer Ugly Plug-ins</title>
 
-    <note><para>If you need a plugin for a given dependency, that dependency
-      needs to be installed before this application.
-    </para></note>
-
     <para>
       Install <application>GStreamer Ugly Plug-ins</application> by running
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/gst10-libav.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
@@ -96,8 +96,9 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="bluez"/>,
+      <xref linkend="clutter"/>,
       <xref linkend="curl"/>,
       <xref linkend="faac"/>,
       <xref linkend="faad2"/>,
+      <xref linkend="glu"/>,
       <xref linkend="gnutls"/>,
       <xref linkend="gtk-doc"/>,
@@ -108,5 +109,9 @@
       <xref linkend="libgcrypt"/>,
       <xref linkend="libmpeg2"/>,
+      <xref linkend="libpng"/>,
+      <xref linkend="librsvg"/>,
+      <xref linkend="libusb"/>,
       <xref linkend="libvdpau"/>,
+      <xref linkend="libwebp"/>,
       <xref linkend="mesalib"/>,
       <xref linkend="mpg123"/>,
@@ -114,16 +119,24 @@
       <xref linkend="openjpeg"/>,
       <xref linkend="openssl"/>,
+      <xref linkend="opus"/>,
+      <xref linkend="sbc"/>,
       <xref linkend="sdl"/>,
       <xref linkend="valgrind"/>,
       <xref linkend="xorg7-lib"/>,
-      <ulink url="http://celt-codec.org/">Celt</ulink>,
+      <xref linkend="wayland"/>,
+      <ulink url="http://acoustid.org/chromaprint/">Chromaprint</ulink>,
+      <ulink url="http://directfb.org/">DirectFB</ulink>,
       <ulink url="http://www.speech.cs.cmu.edu/flite/">Flite</ulink>,
       <ulink url="http://code.google.com/p/game-music-emu/">Game Music Emu</ulink>,
       <ulink url="http://www.quut.com/gsm/">GSM</ulink>,
       <ulink url="http://www.videolan.org/developers/libdca.html">libdca</ulink>,
+      <ulink url="http://code.google.com/p/libkate/">libkate</ulink>,
       <ulink url="http://sourceforge.net/projects/farsight/files/libmimic/">libmimic</ulink>,
       <ulink url="http://sourceforge.net/projects/libmms/">libmms</ulink>,
+      <ulink url="http://modplug-xmms.sourceforge.net/">libmodplug</ulink>,
       <ulink url="http://code.google.com/p/musicip-libofa/">libofa</ulink>,
+      <ulink url="http://www.libssh2.org/">libssh2</ulink>,
       <ulink url="http://sourceforge.net/projects/mjpeg/">MJPEG Tools</ulink>,
+      <ulink url="http://www.musepack.net/">MusePack</ulink>,
       <ulink url="http://kcat.strangesoft.net/openal.html">OpenAL</ulink>,
       <ulink url="http://code.entropywave.com/orc/">ORC</ulink>,
@@ -132,23 +145,14 @@
       <ulink url="http://sourceforge.net/projects/opencore-amr/files/vo-aacenc/">VO AAC</ulink>,
       <ulink url="http://sourceforge.net/projects/opencore-amr/files/vo-amrwbenc/">VO AMRWB</ulink>,
-      <ulink url="http://wayland.freedesktop.org/">Wayland</ulink>, and
+      <ulink url="http://sourceforge.net/projects/wildmidi/">WildMidi</ulink>, and
       <ulink url="http://sourceforge.net/projects/zbar/">ZBAR</ulink>
       <!-- Not ported
-      <xref linkend="jasper"/>,
-      <xref linkend="libmusicbrainz"/>,
-      <xref linkend="libpng"/>,
-      <xref linkend="librsvg"/>,
       <xref linkend="libsndfile"/>,
       <xref linkend="sdl"/>,
       <xref linkend="xvid"/>,
       <ulink url="http://sourceforge.net/projects/dirac/">Dirac</ulink>
-      <ulink url="http://directfb.org/">DirectFB</ulink>
       <ulink url="http://www.ladspa.org/">LADSPA SDK</ulink>
       <ulink url="http://sourceforge.net/projects/libdc1394/">libdc1394</ulink>
-      <ulink url="http://code.google.com/p/libkate/">libkate</ulink>
-      <ulink url="http://modplug-xmms.sourceforge.net/">libmodplug</ulink>
-      <ulink url="http://www.musepack.net/">MusePack</ulink>
       <ulink url="http://sourceforge.net/projects/nas/">NAS</ulink>
-      <ulink url="http://sourceforge.net/projects/wildmidi/">WildMidi</ulink>
       <ulink url="http://sourceforge.net/projects/zapping/">ZVBI</ulink> -->
     </para>
@@ -161,8 +165,4 @@
   <sect2 role="installation">
     <title>Installation of GStreamer Bad Plug-ins</title>
-
-    <note><para>If you need a plugin for a given dependency, that dependency
-      needs to be installed before this application.
-    </para></note>
 
     <para>
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -122,8 +122,4 @@
     <title>Installation of GStreamer Base Plug-ins</title>
 
-    <note><para>If you need a plugin for a given dependency, that dependency
-      needs to be installed before this application.
-    </para></note>
-
     <para>
       Install <application>GStreamer Base Plug-ins</application> by running the
Index: multimedia/libdriv/gst10-plugins-good-systemd.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good-systemd.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/gst10-plugins-good-systemd.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
@@ -131,8 +131,4 @@
     <title>Installation of GStreamer Good Plug-ins</title>
 
-    <note><para>If you need a plugin for a given dependency, that dependency
-      needs to be installed before this application.
-    </para></note>
-
     <para>
       Install <application>GStreamer Good Plug-ins</application> by running the
@@ -142,5 +138,5 @@
 <screen><userinput>./configure --prefix=/usr \
             --with-package-name="GStreamer Good Plugins &gst10-plugins-good-version; BLFS" \
-            --with-package-origin="http://www.linuxfromscratch.org/blfs/view/&blfs-version;/"  &amp;&amp;
+            --with-package-origin="http://www.linuxfromscratch.org/blfs/view/&blfs-version;/" &amp;&amp;
 make</userinput></screen>
 
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
@@ -115,8 +115,4 @@
     <title>Installation of GStreamer Ugly Plug-ins</title>
 
-    <note><para>If you need a plugin for a given dependency, that dependency
-      needs to be installed before this application.
-    </para></note>
-
     <para>
       Install <application>GStreamer Ugly Plug-ins</application> by running the following
Index: multimedia/libdriv/liba52.xml
===================================================================
--- multimedia/libdriv/liba52.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/liba52.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -35,5 +35,5 @@
     in a variety of applications, including digital television and DVD.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libao.xml
===================================================================
--- multimedia/libdriv/libao.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/libao.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -39,5 +39,5 @@
     <application>GNOME</application> sound architecture).</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdiscid.xml
===================================================================
--- multimedia/libdriv/libdiscid.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/libdiscid.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdv.xml
===================================================================
--- multimedia/libdriv/libdv.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/libdv.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -35,5 +35,5 @@
     firewire (IEEE 1394) connection.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdcss.xml
===================================================================
--- multimedia/libdriv/libdvdcss.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/libdvdcss.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdnav.xml
===================================================================
--- multimedia/libdriv/libdvdnav.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/libdvdnav.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -35,5 +35,5 @@
     playback and even interactive DVD games.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdread.xml
===================================================================
--- multimedia/libdriv/libdvdread.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/libdvdread.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -34,5 +34,5 @@
     provides a simple foundation for reading DVDs.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmad.xml
===================================================================
--- multimedia/libdriv/libmad.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/libmad.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -33,5 +33,5 @@
     MPEG audio decoder capable of 24-bit output.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmpeg2.xml
===================================================================
--- multimedia/libdriv/libmpeg2.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/libmpeg2.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -37,5 +37,5 @@
     MPEG-1 video streams.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmusicbrainz.xml
===================================================================
--- multimedia/libdriv/libmusicbrainz.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/libmusicbrainz.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -42,5 +42,5 @@
     other related information.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libquicktime.xml
===================================================================
--- multimedia/libdriv/libquicktime.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/libquicktime.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/soundtouch.xml
===================================================================
--- multimedia/libdriv/soundtouch.xml	(revision 80b8a408d24f3689e13b93564e7e8f9e29b18392)
+++ multimedia/libdriv/soundtouch.xml	(revision 7857007ed177e3aea66b5f2c1178d2cbdc7d48fc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_built;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>