Index: general/genlib/gmp/gmp-config.xml
===================================================================
--- general/genlib/gmp/gmp-config.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ general/genlib/gmp/gmp-config.xml	(revision 7915966f1964cbb3b3c1521619155259bfef2fa5)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application><acronym>GPM</acronym></application></title>
+<title>Configuring <application><acronym>GMP</acronym></application></title>
 
 <sect3><title>Configuration Information</title>
Index: general/genlib/gmp/gmp-desc.xml
===================================================================
--- general/genlib/gmp/gmp-desc.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ general/genlib/gmp/gmp-desc.xml	(revision 7915966f1964cbb3b3c1521619155259bfef2fa5)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The <application><acronym>GPM</acronym></application> package contains <filename>libgmp
+<para>The <application><acronym>GMP</acronym></application> package contains <filename>libgmp
 </filename> libraries.</para>
 
Index: general/genlib/gmp/gmp-intro.xml
===================================================================
--- general/genlib/gmp/gmp-intro.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ general/genlib/gmp/gmp-intro.xml	(revision 7915966f1964cbb3b3c1521619155259bfef2fa5)
@@ -19,5 +19,5 @@
 </sect3>
                                                                                 
-<sect3><title><application><acronym>GPM</acronym></application> dependencies</title>
+<sect3><title><application><acronym>GMP</acronym></application> dependencies</title>
 <sect4><title>Optional</title>
 <para><xref linkend="readline"/></para></sect4>
Index: general/genlib/openssl/openssl-desc.xml
===================================================================
--- general/genlib/openssl/openssl-desc.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ general/genlib/openssl/openssl-desc.xml	(revision 7915966f1964cbb3b3c1521619155259bfef2fa5)
@@ -36,5 +36,5 @@
 <application>Open<acronym>SSL</acronym>
 </application> implementations of <acronym>SSL</acronym>, <acronym>TLS
-</acronym> and <acronym>S/<acronym>MIME</acronym></acronym>, and they have also been used to 
+</acronym> and <acronym>S/MIME</acronym>, and they have also been used to 
 implement <application>Open<acronym>SSH</acronym></application>,
 <application>Open<acronym>PGP</acronym>
Index: multimedia/audioutils/vorbistools/vorbistools-intro.xml
===================================================================
--- multimedia/audioutils/vorbistools/vorbistools-intro.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ multimedia/audioutils/vorbistools/vorbistools-intro.xml	(revision 7915966f1964cbb3b3c1521619155259bfef2fa5)
@@ -4,5 +4,5 @@
 <para>The <application>Vorbis-Tools</application> package contains command line 
 tools for <filename>ogg</filename> audio files.  This is useful for encoding, 
-playing or editing files using the Ogg <acronym>CODEX</acronym>.</para>
+playing or editing files using the Ogg <acronym>CODEC</acronym>.</para>
 
 <sect3><title>Package information</title>
Index: postlfs/security/security.xml
===================================================================
--- postlfs/security/security.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ postlfs/security/security.xml	(revision 7915966f1964cbb3b3c1521619155259bfef2fa5)
@@ -23,6 +23,6 @@
 "signatures" and compares for files that have been changed.</para>
 
+&Linux_PAM;
 &shadow;
-&Linux_PAM;
 &iptables;
 &postlfs-security-fw;
Index: postlfs/security/shadow.xml
===================================================================
--- postlfs/security/shadow.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ postlfs/security/shadow.xml	(revision 7915966f1964cbb3b3c1521619155259bfef2fa5)
@@ -3,4 +3,5 @@
 <title>Shadow-4.0.3</title>
 
+<!--
 <sect2>
 <title>Configuring shadow</title>
@@ -22,5 +23,7 @@
 </para>
 </sect2>
+-->
 
+&shadow-intro;
 &shadow-inst;
 &shadow-exp;
Index: postlfs/security/shadow/shadow-inst.xml
===================================================================
--- postlfs/security/shadow/shadow-inst.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ postlfs/security/shadow/shadow-inst.xml	(revision 7915966f1964cbb3b3c1521619155259bfef2fa5)
@@ -1,12 +1,2 @@
-<sect2>
-<title>Re-installation of <application>shadow</application> to utilize
-<application><acronym>PAM</acronym></application></title>
-
-<sect3><title><application>shadow</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="Linux_PAM"/></para></sect4>
-</sect3>
-</sect2>
-
 <sect2>
 <title>Installation of <application>shadow</application></title>