Index: archive/py2cairo.xml
===================================================================
--- archive/py2cairo.xml	(revision 7979906f44b46ee772f995985a29448e5b2aab71)
+++ archive/py2cairo.xml	(revision 7979906f44b46ee772f995985a29448e5b2aab71)
@@ -0,0 +1,139 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY py2cairo-download-http
+           "http://cairographics.org/releases/py2cairo-&py2cairo-version;.tar.bz2">
+  <!ENTITY py2cairo-download-ftp  " ">
+  <!ENTITY py2cairo-md5sum        "20337132c4ab06c1146ad384d55372c5">
+  <!ENTITY py2cairo-size          "400 KB">
+  <!ENTITY py2cairo-buildsize     "3.6 MB">
+  <!ENTITY py2cairo-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin Py2cairo -->
+  <sect2 id="py2cairo" xreflabel="Py2cairo-&py2cairo-version;">
+
+    <title>Py2cairo-&py2cairo-version;</title>
+
+    <indexterm zone="py2cairo">
+      <primary sortas="a-Py2cairo">Py2cairo</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Py2cairo Module</title>
+
+      <para>
+        Py2cairo provides <application>Python 2</application> bindings to
+        <application>Cairo</application>.
+      </para>
+
+      &lfs80_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&py2cairo-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&py2cairo-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &py2cairo-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &py2cairo-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &py2cairo-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &py2cairo-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">Py2cairo Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="python2"/> and
+        <xref linkend="cairo"/>
+      </para>
+
+      <bridgehead renderas="sect5">Optional</bridgehead>
+      <para role="optional">
+        <ulink url="http://pytest.org">pytest</ulink>
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/py2cairo"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of Py2cairo</title>
+
+      <para>
+        Install <application>Py2cairo</application> by running the following
+        commands:
+      </para>
+
+<screen><userinput>./waf configure --prefix=/usr &amp;&amp;
+./waf build</userinput></screen>
+
+      <para>
+        The test suite must be run after the package is installed.
+      </para>
+
+      <para>
+        Now, as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>./waf install</userinput></screen>
+
+      <para>
+        The test suite requires the optional <application>pytest</application>
+        package. If installed, it is run by changing to the
+        <filename class='directory'>test</filename> directory and running
+        <command>py.test</command> as an unprivileged user.
+      </para>
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Library</segtitle>
+        <segtitle>Installed Directory</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            _cairo.so
+          </seg>
+          <seg>
+            /usr/include/pycairo and
+            /usr/lib/python&python2-majorver;/site-packages/cairo
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+    </sect3>
+  </sect2>
+  <!-- End Py2cairo -->
Index: neral/prog/py2cairo.xml
===================================================================
--- general/prog/py2cairo.xml	(revision 7ee01025691aed56767677bef88d09540d3d3eac)
+++ 	(revision )
@@ -1,139 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY py2cairo-download-http
-           "http://cairographics.org/releases/py2cairo-&py2cairo-version;.tar.bz2">
-  <!ENTITY py2cairo-download-ftp  " ">
-  <!ENTITY py2cairo-md5sum        "20337132c4ab06c1146ad384d55372c5">
-  <!ENTITY py2cairo-size          "400 KB">
-  <!ENTITY py2cairo-buildsize     "3.6 MB">
-  <!ENTITY py2cairo-time          "less than 0.1 SBU">
-]>
-
-  <!-- Begin Py2cairo -->
-  <sect2 id="py2cairo" xreflabel="Py2cairo-&py2cairo-version;">
-
-    <title>Py2cairo-&py2cairo-version;</title>
-
-    <indexterm zone="py2cairo">
-      <primary sortas="a-Py2cairo">Py2cairo</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to Py2cairo Module</title>
-
-      <para>
-        Py2cairo provides <application>Python 2</application> bindings to
-        <application>Cairo</application>.
-      </para>
-
-      &lfs80_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&py2cairo-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&py2cairo-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &py2cairo-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &py2cairo-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &py2cairo-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &py2cairo-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">Py2cairo Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="python2"/> and
-        <xref linkend="cairo"/>
-      </para>
-
-      <bridgehead renderas="sect5">Optional</bridgehead>
-      <para role="optional">
-        <ulink url="http://pytest.org">pytest</ulink>
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/py2cairo"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of Py2cairo</title>
-
-      <para>
-        Install <application>Py2cairo</application> by running the following
-        commands:
-      </para>
-
-<screen><userinput>./waf configure --prefix=/usr &amp;&amp;
-./waf build</userinput></screen>
-
-      <para>
-        The test suite must be run after the package is installed.
-      </para>
-
-      <para>
-        Now, as the <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>./waf install</userinput></screen>
-
-      <para>
-        The test suite requires the optional <application>pytest</application>
-        package. If installed, it is run by changing to the
-        <filename class='directory'>test</filename> directory and running
-        <command>py.test</command> as an unprivileged user.
-      </para>
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Library</segtitle>
-        <segtitle>Installed Directory</segtitle>
-
-        <seglistitem>
-          <seg>
-            None
-          </seg>
-          <seg>
-            _cairo.so
-          </seg>
-          <seg>
-            /usr/include/pycairo and
-            /usr/lib/python&python2-majorver;/site-packages/cairo
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-    </sect3>
-  </sect2>
-  <!-- End Py2cairo -->
Index: general/prog/pycairo.xml
===================================================================
--- general/prog/pycairo.xml	(revision 7ee01025691aed56767677bef88d09540d3d3eac)
+++ general/prog/pycairo.xml	(revision 7979906f44b46ee772f995985a29448e5b2aab71)
@@ -5,10 +5,9 @@
   %general-entities;
 
-  <!ENTITY pycairo-download-http
-           "http://cairographics.org/releases/pycairo-&pycairo-version;.tar.bz2">
+  <!ENTITY pycairo-download-http "https://github.com/pygobject/pycairo/releases/download/v&pycairo-version;/pycairo-&pycairo-version;.tar.gz">
   <!ENTITY pycairo-download-ftp  " ">
-  <!ENTITY pycairo-md5sum        "e6fd3f2f1e6a72e0db0868c4985669c5">
-  <!ENTITY pycairo-size          "244 KB">
-  <!ENTITY pycairo-buildsize     "3.0 MB">
+  <!ENTITY pycairo-md5sum        "e6e8407d3f51b0b89863872da0760616">
+  <!ENTITY pycairo-size          "140 KB">
+  <!ENTITY pycairo-buildsize     "3.2 MB">
   <!ENTITY pycairo-time          "less than 0.1 SBU">
 ]>
@@ -27,9 +26,10 @@
 
       <para>
-        PyCairo provides <application>Python 3</application> bindings to
+        PyCairo provides <application>Python</application> bindings to
         <application>Cairo</application>.
       </para>
 
       &lfs80_checked;
+      <!-- Does not use gcc -->
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -67,25 +67,10 @@
       </itemizedlist>
 
-      <bridgehead renderas="sect4">Additional Downloads</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Required patch:
-            <ulink url="&patch-root;/pycairo-&pycairo-version;-waf_unpack-1.patch"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Required patch:
-            <ulink url="&patch-root;/pycairo-&pycairo-version;-waf_python_3_4-1.patch"/>
-          </para>
-        </listitem>
-      </itemizedlist>
-
       <bridgehead renderas="sect4">PyCairo Dependencies</bridgehead>
 
       <bridgehead renderas="sect5">Required</bridgehead>
       <para role="required">
-        <xref linkend="cairo"/> and
+        <xref linkend="cairo"/>, 
+        <xref linkend="python"/>, and/or 
         <xref linkend="python3"/>
       </para>
@@ -100,16 +85,9 @@
 
       <para>
-        Install <application>PyCairo</application> by running the following
-        commands:
+        Install <application>PyCairo</application> for Python2 by running 
+        the following commands:
       </para>
 
-<screen><userinput>patch -Np1 -i ../pycairo-&pycairo-version;-waf_unpack-1.patch     &amp;&amp;
-wafdir=$(./waf unpack) &amp;&amp;
-pushd $wafdir          &amp;&amp;
-patch -Np1 -i ../../pycairo-&pycairo-version;-waf_python_3_4-1.patch &amp;&amp;
-popd                   &amp;&amp;
-unset wafdir           &amp;&amp;
-PYTHON=/usr/bin/python3 ./waf configure --prefix=/usr  &amp;&amp;
-./waf build</userinput></screen>
+<screen><userinput>python2 setup.py build</userinput></screen>
 
       <para>
@@ -121,5 +99,22 @@
       </para>
 
-<screen role="root"><userinput>./waf install</userinput></screen>
+<screen role="root"><userinput>python2 setup.py install --optimize=1</userinput></screen>
+
+      <para>
+        Install <application>PyCairo</application> for Python3 by running 
+        the following commands:
+      </para>
+
+<screen><userinput>python3 setup.py build</userinput></screen>
+
+      <para>
+        This package does not come with a test suite.
+      </para>
+
+      <para>
+        Now, as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>python3 setup.py install --optimize=1</userinput></screen>
 
     </sect3>
@@ -130,6 +125,6 @@
       <segmentedlist>
         <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Library</segtitle>
-        <segtitle>Installed Directory</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
 
         <seglistitem>
@@ -138,8 +133,9 @@
           </seg>
           <seg>
-            None
+            _cairo.so (python2) and 
+            _cairo.cpython-36m-x86_64-linux-gnu.so (python3)
           </seg>
           <seg>
-            /usr/include/pycairo and
+            /usr/lib/python&python2-majorver;/site-packages/cairo and
             /usr/lib/python&python3-majorver;/site-packages/cairo
           </seg>
Index: general/prog/pygobject2.xml
===================================================================
--- general/prog/pygobject2.xml	(revision 7ee01025691aed56767677bef88d09540d3d3eac)
+++ general/prog/pygobject2.xml	(revision 7979906f44b46ee772f995985a29448e5b2aab71)
@@ -84,5 +84,5 @@
       <para role="required">
         <xref linkend="glib2"/> and
-        <xref linkend="py2cairo"/>
+        <xref linkend="pycairo"/> (Python 2)
       </para>
 
Index: general/prog/pygobject3.xml
===================================================================
--- general/prog/pygobject3.xml	(revision 7ee01025691aed56767677bef88d09540d3d3eac)
+++ general/prog/pygobject3.xml	(revision 7979906f44b46ee772f995985a29448e5b2aab71)
@@ -74,8 +74,7 @@
       <para role="required">
         <xref linkend="gobject-introspection"/> and
-        <xref linkend="py2cairo"/>
-        (for <application>Python 2</application> bindings) and/or
         <xref linkend="pycairo"/>
-        (for <application>Python 3</application> bindings)
+          (for <application>Python 2</application> and/or 
+          <application>Python 3</application> bindings)
       </para>
 
Index: general/prog/pygtk.xml
===================================================================
--- general/prog/pygtk.xml	(revision 7ee01025691aed56767677bef88d09540d3d3eac)
+++ general/prog/pygtk.xml	(revision 7979906f44b46ee772f995985a29448e5b2aab71)
@@ -87,5 +87,5 @@
       <bridgehead renderas="sect5">Required (pangocairo module)</bridgehead>
       <para role="required">
-        <xref linkend="py2cairo"/> and
+        <xref linkend="pycairo"/> (Python 2) and
         <xref linkend="pango"/>
       </para>
@@ -93,5 +93,5 @@
       <bridgehead renderas="sect5">Required (gtk and gtk.unixprint modules)</bridgehead>
       <para role="required">
-        <xref linkend="py2cairo"/> and
+        <xref linkend="pycairo"/> (Python 2) and
         <xref linkend="gtk2"/>.
       </para>
@@ -99,5 +99,5 @@
       <bridgehead renderas="sect5">Required (gtk.glade module)</bridgehead>
       <para role="required">
-        <xref linkend="py2cairo"/> and
+        <xref linkend="pycairo"/> (Python 2) and
         <xref linkend="libglade"/>.
       </para>
Index: general/prog/python-modules.xml
===================================================================
--- general/prog/python-modules.xml	(revision 7ee01025691aed56767677bef88d09540d3d3eac)
+++ general/prog/python-modules.xml	(revision 7979906f44b46ee772f995985a29448e5b2aab71)
@@ -42,9 +42,11 @@
         </para>
       </listitem>
+<!--      
       <listitem>
         <para>
           <xref linkend="py2cairo"/>
-        </para>
+        </para> 
       </listitem>
+-->
       <listitem>
         <para>
@@ -127,8 +129,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="pyatspi2.xml"/>
-
+<!--
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="py2cairo.xml"/>
-
+-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="pycairo.xml"/>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7ee01025691aed56767677bef88d09540d3d3eac)
+++ introduction/welcome/changelog.xml	(revision 7979906f44b46ee772f995985a29448e5b2aab71)
@@ -46,4 +46,10 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to pycairo-1.13.2. Combines 
+          build for python2 and python3. Py2cairo archived.
+          Fixes
+          <ulink url="&blfs-ticket-root;9267">#9267</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to gucharmap-9.0.4. Fixes
           <ulink url="&blfs-ticket-root;9226">#9226</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 7ee01025691aed56767677bef88d09540d3d3eac)
+++ packages.ent	(revision 7979906f44b46ee772f995985a29448e5b2aab71)
@@ -390,5 +390,5 @@
 <!ENTITY MarkupSafe-version           "1.0">
 <!ENTITY pyatspi2-version             "2.24.0">
-<!ENTITY py2cairo-version             "1.10.0">
+<!--<!ENTITY py2cairo-version             "1.10.0"> -->
 <!ENTITY pycairo-version              "1.10.0">
 <!ENTITY pycrypto-version             "2.6.1">