Index: general.ent
===================================================================
--- general.ent	(revision f38c92fb8a80acc6665b8fecaabadd2efd8de701)
+++ general.ent	(revision 8042630d0d4c4e5fc880111548977a5677bfc400)
@@ -115,5 +115,5 @@
 <!-- Chapter 9 -->
 <!ENTITY libjpeg-version              "6b">
-<!ENTITY libpng-version               "1.2.8">
+<!ENTITY libpng-version               "1.2.12">
 <!ENTITY libtiff-version              "3.8.2">
 <!-- <!ENTITY libungif-version             "4.1.3"> -->
Index: general/graphlib/libpng.xml
===================================================================
--- general/graphlib/libpng.xml	(revision f38c92fb8a80acc6665b8fecaabadd2efd8de701)
+++ general/graphlib/libpng.xml	(revision 8042630d0d4c4e5fc880111548977a5677bfc400)
@@ -6,9 +6,9 @@
 
   <!ENTITY libpng-download-http "http://prdownloads.sourceforge.net/libpng/libpng-&libpng-version;.tar.bz2">
-  <!ENTITY libpng-download-ftp " ">
-  <!ENTITY libpng-md5sum "00cea4539bea4bd34cbf8b82ff9589cd">
-  <!ENTITY libpng-size "376 KB">
-  <!ENTITY libpng-buildsize "5.75 MB">
-  <!ENTITY libpng-time "0.13 SBU">
+  <!ENTITY libpng-download-ftp  " ">
+  <!ENTITY libpng-md5sum        "2287cfaad53a714acdf6eb75a7c1d15f">
+  <!ENTITY libpng-size          "621 KB">
+  <!ENTITY libpng-buildsize     "12.0 MB">
+  <!ENTITY libpng-time          "0.3 SBU">
 ]>
 
@@ -21,5 +21,5 @@
   </sect1info>
 
-  <title>Libpng-&libpng-version;</title>
+  <title>libpng-&libpng-version;</title>
 
   <indexterm zone="libpng">
@@ -28,5 +28,5 @@
 
   <sect2 role="package">
-    <title>Introduction to Libpng</title>
+    <title>Introduction to libpng</title>
 
     <para>The <application>libpng</application> package contains libraries used
@@ -55,5 +55,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <!-- <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing='compact'>
       <listitem>
@@ -62,5 +62,5 @@
         url="&patch-root;/libpng-&libpng-version;-link_to_proper_libs-1.patch"/></para>
       </listitem>
-    </itemizedlist>
+    </itemizedlist> -->
 
     <para condition="html" role="usernotes">User Notes:
@@ -70,23 +70,27 @@
 
   <sect2 role="installation">
-    <title>Installation of Libpng</title>
+    <title>Installation of libpng</title>
 
     <para>Install <application>libpng</application> by running the following
     commands:</para>
 
-<screen><userinput>patch -Np1 -i ../libpng-&libpng-version;-link_to_proper_libs-1.patch &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+<!-- patch -Np1 -i ../libpng-&libpng-version;-link_to_proper_libs-1.patch &amp;&amp;
 make prefix=/usr ZLIBINC= \
-    ZLIBLIB= -f scripts/makefile.linux</userinput></screen>
+    ZLIBLIB= -f scripts/makefile.linux -->
 
-    <para>To test the results, issue: <command>make -f scripts/makefile.linux
-    test</command>.</para>
+    <para>To test the results, issue: <command>make check</command>.</para>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>make prefix=/usr install -f scripts/makefile.linux</userinput></screen>
+<screen role="root"><userinput>make install &amp;&amp;
+install -v -m755 -d /usr/share/doc/libpng-&libpng-version; &amp;&amp;
+install -v -m644 README libpng.txt /usr/share/doc/libpng-&libpng-version;</userinput></screen>
 
   </sect2>
 
-  <sect2 role="commands">
+  <!-- <sect2 role="commands">
     <title>Command Explanations</title>
 
@@ -103,8 +107,8 @@
     <filename>Makefile</filename>s for different platforms.</para>
 
-  </sect2>
+  </sect2> -->
 
   <sect2 role="configuration">
-    <title>Configuring Libpng</title>
+    <title>Configuring libpng</title>
 
     <sect3>
@@ -128,6 +132,7 @@
       <seglistitem>
         <seg>libpng-config and libpng12-config</seg>
-        <seg>libpng.{so,a} and libpng12.{so,a}</seg>
-        <seg>/usr/include/libpng12</seg>
+        <seg>libpng.so and libpng12.{so,a}</seg>
+        <seg>/usr/include/libpng12 and
+        /usr/share/doc/libpng-&libpng-version;</seg>
       </seglistitem>
     </segmentedlist>
@@ -160,5 +165,5 @@
 
       <varlistentry id="libpng12">
-        <term><filename class='libraryfile'>libpng.{so,a} and
+        <term><filename class='libraryfile'>libpng.so and
         libpng12.{so,a}</filename></term>
         <listitem>
@@ -168,5 +173,5 @@
           and lack of patent problems.</para>
           <indexterm zone="libpng libpng12">
-            <primary sortas="c-libpng">libpng.{so,a}</primary>
+            <primary sortas="c-libpng12">libpng12.{so,a}</primary>
           </indexterm>
         </listitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision f38c92fb8a80acc6665b8fecaabadd2efd8de701)
+++ introduction/welcome/changelog.xml	(revision 8042630d0d4c4e5fc880111548977a5677bfc400)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[randy] - Updated to libpng-1.2.12.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Updated to libIDL-0.8.7.</para>
         </listitem>