Index: general/genutils/intltool.xml
===================================================================
--- general/genutils/intltool.xml	(revision 8394677a8c9933352cbdf1df7d921c87eefce9e2)
+++ general/genutils/intltool.xml	(revision 8394677a8c9933352cbdf1df7d921c87eefce9e2)
@@ -0,0 +1,216 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY intltool-download-http "http://launchpad.net/intltool/trunk/&intltool-version;/+download/intltool-&intltool-version;.tar.gz">
+  <!ENTITY intltool-download-ftp  " ">
+  <!ENTITY intltool-md5sum        "12e517cac2b57a0121cda351570f1e63">
+  <!ENTITY intltool-size          "159 KB">
+  <!ENTITY intltool-buildsize     "1.5 MB">
+  <!ENTITY intltool-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="intltool" xreflabel="Intltool-&intltool-version;">
+  <?dbhtml filename="intltool.html"?>
+
+  <sect1info>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Intltool-&intltool-version;</title>
+
+  <indexterm zone="intltool">
+    <primary sortas="a-Intltool">Intltool</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Intltool</title>
+
+    <para>
+      The <application>Intltool</application> is an internationalization
+      tool used for extracting translatable strings from source files,
+      collecting the extracted strings with messages from traditional
+      source files (<filename class="directory">&lt;source
+      directory&gt;/&lt;package&gt;/po</filename>) and merging the
+      translations into <filename>.xml</filename>,
+      <filename>.desktop</filename> and <filename>.oaf</filename> files.
+    </para>
+
+    &lfs111_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&intltool-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&intltool-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &intltool-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &intltool-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &intltool-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &intltool-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+<!--
+    <bridgehead renderas="sect3">Intltool Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="perl-xml-parser"/>
+    </para>
+-->
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/intltool"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Intltool</title>
+
+    <para>First fix a warning that is caused by perl-5.22 and later:</para>
+
+<screen><userinput>sed -i 's:\\\${:\\\$\\{:' intltool-update.in</userinput></screen>
+
+    <note><para>The above regular expression looks unusual because of all the
+    backslashes.  What it does is add a backslash before the right brace
+    character in the sequence '\${' resulting in '\$\{'.</para></note>
+
+    <para>
+      Install <application>Intltool</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+install -v -m644 -D doc/I18N-HOWTO /usr/share/doc/intltool-&intltool-version;/I18N-HOWTO</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          intltool-extract, intltool-merge, intltool-prepare,
+          intltool-update and intltoolize
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/share/doc/intltool-&intltool-version; and
+          /usr/share/intltool
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="intltoolize">
+        <term><command>intltoolize</command></term>
+        <listitem>
+          <para>
+            prepares a package to use
+            <application>intltool</application>.
+          </para>
+          <indexterm zone="intltool intltoolize">
+            <primary sortas="b-intltoolize">intltoolize</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="intltool-extract">
+        <term><command>intltool-extract</command></term>
+        <listitem>
+          <para>
+            generates header files that can be read by
+            <command>gettext</command>.
+          </para>
+          <indexterm zone="intltool intltool-extract">
+            <primary sortas="b-intltool-extract">intltool-extract</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="intltool-merge">
+        <term><command>intltool-merge</command></term>
+        <listitem>
+          <para>
+            merges translated strings into various file types.
+          </para>
+          <indexterm zone="intltool intltool-merge">
+            <primary sortas="b-intltool-merge">intltool-merge</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="intltool-prepare">
+        <term><command>intltool-prepare</command></term>
+        <listitem>
+          <para>
+            updates pot files and merges them with translation files.
+          </para>
+          <indexterm zone="intltool intltool-prepare">
+            <primary sortas="b-intltool-prepare">intltool-prepare</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="intltool-update">
+        <term><command>intltool-update</command></term>
+        <listitem>
+          <para>
+            updates the <filename>po</filename> template files and merges
+            them with the translations.
+          </para>
+          <indexterm zone="intltool intltool-update">
+            <primary sortas="b-intltool-update">intltool-update</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>