Index: general.ent
===================================================================
--- general.ent	(revision 7631327a7768836377d9c48a118cb199e393b685)
+++ general.ent	(revision 8404399c108e8fc5eb62e81d800f18607901b690)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "28">                   <!-- Always 2 digits -->
+<!ENTITY day          "29">                   <!-- Always 2 digits -->
 <!ENTITY month        "03">                   <!-- Always 2 digits -->
 <!ENTITY year         "2021">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "March 28th, &year;">
+<!ENTITY releasedate  "March 29th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/python-dbusmock.xml
===================================================================
--- general/prog/python-dbusmock.xml	(revision 7631327a7768836377d9c48a118cb199e393b685)
+++ general/prog/python-dbusmock.xml	(revision 8404399c108e8fc5eb62e81d800f18607901b690)
@@ -7,7 +7,7 @@
   <!ENTITY dbusmock-download-http "https://github.com/martinpitt/python-dbusmock/releases/download/&dbusmock-version;/python-dbusmock-&dbusmock-version;.tar.gz">
   <!ENTITY dbusmock-download-ftp  " ">
-  <!ENTITY dbusmock-md5sum        "4a3ac7bc9b24b784e2649d1b1760bc8d">
-  <!ENTITY dbusmock-size          "68 KB">
-  <!ENTITY dbusmock-buildsize     "1.2 KB">
+  <!ENTITY dbusmock-md5sum        "55ecc0aa4c1c1caeb800ff4707aca131">
+  <!ENTITY dbusmock-size          "80 KB">
+  <!ENTITY dbusmock-buildsize     "1.3 KB">
   <!ENTITY dbusmock-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7631327a7768836377d9c48a118cb199e393b685)
+++ introduction/welcome/changelog.xml	(revision 8404399c108e8fc5eb62e81d800f18607901b690)
@@ -42,5 +42,31 @@
     </listitem>
     -->
-   <listitem>
+    <listitem>
+      <para>March 29th, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to python-dbusmock-0.23.0. Fixes
+          <ulink url="&blfs-ticket-root;14818">#14818</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to emacs-27.2. Fixes
+          <ulink url="&blfs-ticket-root;14822">#14822</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to cups-filters-1.28.8. Fixes
+          <ulink url="&blfs-ticket-root;14823">#14823</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to xterm-367. Fixes
+          <ulink url="&blfs-ticket-root;14825">#14825</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to pango-1.48.4. Fixes
+          <ulink url="&blfs-ticket-root;14826">#14826</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>March 28th, 2021</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 7631327a7768836377d9c48a118cb199e393b685)
+++ packages.ent	(revision 8404399c108e8fc5eb62e81d800f18607901b690)
@@ -63,5 +63,5 @@
 <!ENTITY bluefish-version             "2.2.12">
 <!ENTITY ed-version                   "1.17">
-<!ENTITY emacs-version                "27.1">
+<!ENTITY emacs-version                "27.2">
 <!ENTITY gedit-version                "3.38.1">
 <!ENTITY joe-version                  "4.6">
@@ -555,5 +555,5 @@
 <!ENTITY docutils-version             "0.16">
 <!ENTITY dbus-python-version          "1.2.16">
-<!ENTITY dbusmock-version             "0.22.0">
+<!ENTITY dbusmock-version             "0.23.0">
 <!-- <!ENTITY funcsigs-version             "1.0.2"> -->
 <!ENTITY decorator-version            "4.4.2">
@@ -710,5 +710,5 @@
 <!ENTITY xorg-server-version          "1.20.10">
 <!ENTITY twm-version                  "1.0.11">
-<!ENTITY xterm-version                "366">
+<!ENTITY xterm-version                "367">
 <!ENTITY xclock-version               "1.0.9">
 <!ENTITY xinit-version                "1.4.1">
@@ -760,5 +760,5 @@
 <!ENTITY libnotify-version            "0.7.9">
 <!ENTITY libxklavier-version          "5.4">
-<!ENTITY pango-version                "1.48.3">
+<!ENTITY pango-version                "1.48.4">
 <!ENTITY pangomm-version              "2.46.0">
 <!ENTITY qt5-version                  "5.15.2">
@@ -1056,5 +1056,5 @@
 <!-- Chapter 46 -->
 <!ENTITY cups-version                 "2.3.3">
-<!ENTITY cups-filters-version         "1.28.7">
+<!ENTITY cups-filters-version         "1.28.8">
 <!ENTITY gs-version                   "9.53.3">
 <!ENTITY gs-packver                   "9533">
Index: postlfs/editors/emacs.xml
===================================================================
--- postlfs/editors/emacs.xml	(revision 7631327a7768836377d9c48a118cb199e393b685)
+++ postlfs/editors/emacs.xml	(revision 8404399c108e8fc5eb62e81d800f18607901b690)
@@ -8,8 +8,8 @@
   <!ENTITY emacs-download-ftp  "&gnu-ftp;/emacs/emacs-&emacs-version;.tar.xz"> 
   <!ENTITY emacs-download-ftp  " "> 
-  <!ENTITY emacs-md5sum        "f1f25356b68ec69caccd41d95988d23d">
-  <!ENTITY emacs-size          "42 MB">
-  <!ENTITY emacs-buildsize     "480 MB">
-  <!ENTITY emacs-time          "0.7 SBU (Using parallelism=4)">
+  <!ENTITY emacs-md5sum        "4c3d9ff35b2ab2fe518dc7eb3951e128">
+  <!ENTITY emacs-size          "43 MB">
+  <!ENTITY emacs-buildsize     "620 MB">
+  <!ENTITY emacs-time          "0.6 SBU (Using parallelism=4)">
 ]>
 
@@ -76,6 +76,8 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
+      <xref linkend="harfbuzz"/>,
       <xref linkend="giflib"/>,
-      <xref linkend="gnutls"/>, and
+      <xref linkend="gnutls"/>,
+      <xref linkend="jansson"/>, and
       <xref linkend="libtiff"/>
     </para>
@@ -85,4 +87,5 @@
       <xref linkend="x-window-system"/>,
       <xref linkend="alsa-lib"/>,
+      <xref linkend="cairo"/>,
       <xref linkend="dbus"/>,
       <xref linkend="GConf"/>,
@@ -92,5 +95,5 @@
       <xref role="nodep" linkend="gtk2"/> or <xref linkend="gtk3"/>,
       <xref linkend="imagemagick"/>,
-      <xref linkend="jansson"/>, <!-- for JSON support -->
+      <xref linkend="lcms2"/>,
       <xref linkend="libjpeg"/>,
       <xref linkend="libpng"/>,
@@ -101,8 +104,9 @@
       <ulink url="&gnu-http;/intlfonts/">intlfonts</ulink>,
       <ulink url="http://directory.fsf.org/wiki/Libungif">libungif</ulink>,
-      <ulink url="http://www.nongnu.org/m17n/">libotf</ulink> and
+      <ulink url="http://www.nongnu.org/m17n/">libotf</ulink>, and
       <ulink url="http://www.nongnu.org/m17n/">m17n-lib</ulink> - to correctly
       display such complex scripts as Indic and Khmer, and also for scripts
-      that require Arabic shaping support (Arabic and Farsi), and
+      that require Arabic shaping support (Arabic and Farsi),
+      <ulink url="https://mailutils.org/">mailutils</ulink>, and
       <ulink url="&xorg-download-http;/lib/">libXaw3d</ulink>
     </para>
@@ -121,5 +125,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --localstatedir=/var &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 <!-- make bootstrap only necessary for development versions obtained with git
@@ -152,9 +156,11 @@
     <title>Command Explanations</title>
 
-    <para>
-      <parameter>--localstatedir=/var</parameter>: Create game score files
+    <!-- With 27.2, it writes scores to ~/.emacs.d/games 
+    <para>
+      <parameter>- -localstatedir=/var</parameter>: Create game score files
       in <filename class='directory'>/var/games/emacs</filename> instead
       of <filename class='directory'>/usr/var/games/emacs</filename>.
     </para>
+    -->
 
     <para>
@@ -177,4 +183,14 @@
       <option>--with-gnutls=no</option>: Use this if you have not installed
       <xref linkend="gnutls"/>.
+    </para>
+
+    <para>
+      <option>--without-harfbuzz</option>: Use this if you have not installed
+      <xref linkend="harfbuzz"/>.
+    </para>
+
+    <para>
+      <option>--with-json=no</option>: Use this if you have not installed
+      <xref linkend="jansson"/>.
     </para>
 
@@ -194,11 +210,9 @@
              emacs (symlink),
              emacs-&emacs-version;,
-             emacsclient,
-             etags, and
-             grep-changelog</seg>
+             emacsclient, and
+             etags</seg>
         <seg>None</seg>
-        <seg>/usr/libexec/emacs,
-             /usr/share/emacs, and
-             /var/games/emacs</seg>
+        <seg>/usr/libexec/emacs and
+             /usr/share/emacs</seg>
       </seglistitem>
     </segmentedlist>
@@ -273,4 +287,5 @@
       </varlistentry>
 
+<!-- Not seen with 27.2
       <varlistentry id="grep-changelog">
         <term><command>grep-changelog</command></term>
@@ -285,4 +300,5 @@
         </listitem>
       </varlistentry>
+-->
 <!--
       <varlistentry id="rcs-checkin">
Index: pst/printing/cups-filters.xml
===================================================================
--- pst/printing/cups-filters.xml	(revision 7631327a7768836377d9c48a118cb199e393b685)
+++ pst/printing/cups-filters.xml	(revision 8404399c108e8fc5eb62e81d800f18607901b690)
@@ -8,7 +8,7 @@
   "https://www.openprinting.org/download/cups-filters/cups-filters-&cups-filters-version;.tar.xz">
   <!ENTITY cups-filters-download-ftp  " ">
-  <!ENTITY cups-filters-md5sum        "2efeed97e11ea5e157c5f4f2e0780fe7">
+  <!ENTITY cups-filters-md5sum        "914fb53d31ff8500dc25d2e2c68ca5c1">
   <!ENTITY cups-filters-size          "1.4 MB">
-  <!ENTITY cups-filters-buildsize     "60 MB (with tests), 17 MB installed">
+  <!ENTITY cups-filters-buildsize     "62 MB (with tests), 17 MB installed">
   <!ENTITY cups-filters-time          "0.4 SBU (with tests)">
 ]>
Index: x/installing/xterm.xml
===================================================================
--- x/installing/xterm.xml	(revision 7631327a7768836377d9c48a118cb199e393b685)
+++ x/installing/xterm.xml	(revision 8404399c108e8fc5eb62e81d800f18607901b690)
@@ -8,6 +8,6 @@
   <!--<!ENTITY xterm-download-ftp  "ftp://invisible-island.net/xterm/xterm-&xterm-version;.tgz">-->
   <!ENTITY xterm-download-ftp  " ">
-  <!ENTITY xterm-md5sum        "defa46224efc2384f030750ceb2252ec">
-  <!ENTITY xterm-size          "1.4 MB">
+  <!ENTITY xterm-md5sum        "a6ed592b9c5d38cfd4a4dd37d97e5a12">
+  <!ENTITY xterm-size          "1.3 MB">
   <!ENTITY xterm-buildsize     "18 MB">
   <!ENTITY xterm-time          "0.2 SBU">
@@ -90,4 +90,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="emacs"/>, <!-- looks for ctags/etags -->
       <xref linkend="pcre"/> or <xref linkend="pcre2"/>,
       <xref linkend="valgrind"/> and
Index: x/lib/pango.xml
===================================================================
--- x/lib/pango.xml	(revision 7631327a7768836377d9c48a118cb199e393b685)
+++ x/lib/pango.xml	(revision 8404399c108e8fc5eb62e81d800f18607901b690)
@@ -7,7 +7,7 @@
   <!ENTITY pango-download-http "&gnome-download-http;/pango/1.48/pango-&pango-version;.tar.xz">
   <!ENTITY pango-download-ftp  "&gnome-download-ftp;/pango/1.48/pango-&pango-version;.tar.xz">
-  <!ENTITY pango-md5sum        "908a32c1c1bccf544e34a65133112196">
-  <!ENTITY pango-size          "556 KB">
-  <!ENTITY pango-buildsize     "27 MB (with tests)">
+  <!ENTITY pango-md5sum        "6c3cee28fc36118c1c8733160054c7ed">
+  <!ENTITY pango-size          "1.7 MB">
+  <!ENTITY pango-buildsize     "41 MB (with tests)">
   <!ENTITY pango-time          "0.2 SBU (with tests)">
 ]>
@@ -117,5 +117,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --wrap-mode=nodownload .. &amp;&amp;
+meson --prefix=/usr .. &amp;&amp;
 ninja</userinput></screen>
 
@@ -157,7 +157,8 @@
     </para>
 
+    <!-- gi-docgen is now included in the tarball with 1.48.4
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/meson-wrap-nodownload.xml"/>
-
+    -->
   </sect2>
 