Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 30ad1f9f074b6f9b774e1787223239f18d639b11)
+++ introduction/welcome/changelog.xml	(revision 8490099dea3edc3e4f755561a9de400534538b7d)
@@ -47,9 +47,21 @@
       <itemizedlist>
         <listitem>
-          <para>[pierre] - Add lxqt-build-tools-0.3.0 needed for 
+          <para>[bdubbs] - Update to lxsession-0.5.3. Fixes
+          <ulink url="&blfs-ticket-root;8637">#8637</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to pcmanfm-1.2.5. Fixes
+          <ulink url="&blfs-ticket-root;8633">#8633</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libfm and libfn-extra-1.25. Fixes
+          <ulink url="&blfs-ticket-root;8632">#8632</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Add lxqt-build-tools-0.3.0 needed for 
           libsysstat-0.3.3. </para> 
         </listitem>
         <listitem>
-          <para>[pierre] - Update to libsysstat-0.3.3. Fixes
+          <para>[bdubbs] - Update to libsysstat-0.3.3. Fixes
           <ulink url="&blfs-ticket-root;8636">#8636</ulink>.</para>
         </listitem>
Index: lxde/desktop/libfm-extra.xml
===================================================================
--- lxde/desktop/libfm-extra.xml	(revision 30ad1f9f074b6f9b774e1787223239f18d639b11)
+++ lxde/desktop/libfm-extra.xml	(revision 8490099dea3edc3e4f755561a9de400534538b7d)
@@ -7,7 +7,7 @@
   <!ENTITY libfm-download-http "&sourceforge-repo;/pcmanfm/libfm-&libfm-extra-version;.tar.xz">
   <!ENTITY libfm-download-ftp  " ">
-  <!ENTITY libfm-md5sum        "74997d75e7e87dc73398746fd373bf52">
+  <!ENTITY libfm-md5sum        "a1ba9ae5e920f38b647dd511edd6c807">
   <!ENTITY libfm-size          "892 KB">
-  <!ENTITY libfm-buildsize     "11 MB">
+  <!ENTITY libfm-buildsize     "19 MB">
   <!ENTITY libfm-time          "less than 0.1 SBU">
 ]>
Index: lxde/desktop/libfm.xml
===================================================================
--- lxde/desktop/libfm.xml	(revision 30ad1f9f074b6f9b774e1787223239f18d639b11)
+++ lxde/desktop/libfm.xml	(revision 8490099dea3edc3e4f755561a9de400534538b7d)
@@ -7,7 +7,7 @@
   <!ENTITY libfm-download-http "&sourceforge-repo;/pcmanfm/libfm-&libfm-version;.tar.xz">
   <!ENTITY libfm-download-ftp  " ">
-  <!ENTITY libfm-md5sum        "74997d75e7e87dc73398746fd373bf52">
+  <!ENTITY libfm-md5sum        "a1ba9ae5e920f38b647dd511edd6c807">
   <!ENTITY libfm-size          "892 KB">
-  <!ENTITY libfm-buildsize     "35 MB">
+  <!ENTITY libfm-buildsize     "27 MB">
   <!ENTITY libfm-time          "0.3 SBU">
 ]>
Index: lxde/desktop/lxsession.xml
===================================================================
--- lxde/desktop/lxsession.xml	(revision 30ad1f9f074b6f9b774e1787223239f18d639b11)
+++ lxde/desktop/lxsession.xml	(revision 8490099dea3edc3e4f755561a9de400534538b7d)
@@ -7,8 +7,8 @@
   <!ENTITY lxsession-download-http "&sourceforge-repo;/lxde/lxsession-&lxsession-version;.tar.xz">
   <!ENTITY lxsession-download-ftp  " ">
-  <!ENTITY lxsession-md5sum        "2957acccbf9ce37ef8205ec5424f8047">
-  <!ENTITY lxsession-size          "348 KB">
-  <!ENTITY lxsession-buildsize     "14 MB">
-  <!ENTITY lxsession-time          "0.2 SBU">
+  <!ENTITY lxsession-md5sum        "823c50e6d0e4ce15a23a42e8f8bf4221">
+  <!ENTITY lxsession-size          "400 KB">
+  <!ENTITY lxsession-buildsize     "15 MB">
+  <!ENTITY lxsession-time          "0.1 SBU">
 ]>
 
@@ -67,15 +67,4 @@
         <para>
           Estimated build time: &lxsession-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3" revision="sysv">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact" revision="sysv">
-      <listitem>
-        <para>
-          Optional patch, which adds <quote>Hibernate</quote> and <quote>
-          Suspend</quote> capabilities through ConsoleKit2 API:
-          <ulink url="&patch-root;/lxsession-&lxsession-version;-hibernate_consolekit-2.patch"/>
         </para>
       </listitem>
@@ -110,11 +99,4 @@
   <sect2 role="installation">
     <title>Installation of LXSession</title>
-
-    <para revision="sysv">
-      Optionally apply the following patch to be able to put your system
-      into <quote>Suspend</quote> or <quote>Hibernate</quote> state.
-    </para>
-
-<screen revision="sysv"><userinput>patch -Np1 -i ../lxsession-&lxsession-version;-hibernate_consolekit-2.patch</userinput></screen>
 
     <para>
Index: lxde/desktop/pcmanfm.xml
===================================================================
--- lxde/desktop/pcmanfm.xml	(revision 30ad1f9f074b6f9b774e1787223239f18d639b11)
+++ lxde/desktop/pcmanfm.xml	(revision 8490099dea3edc3e4f755561a9de400534538b7d)
@@ -7,7 +7,7 @@
   <!ENTITY pcmanfm-download-http "&sourceforge-repo;/pcmanfm/pcmanfm-&pcmanfm-version;.tar.xz">
   <!ENTITY pcmanfm-download-ftp  " ">
-  <!ENTITY pcmanfm-md5sum        "19764c2f59653724c8713e0064fa6829">
-  <!ENTITY pcmanfm-size          "408 KB">
-  <!ENTITY pcmanfm-buildsize     "11 MB">
+  <!ENTITY pcmanfm-md5sum        "b4d1f8ce08d87e4f27805a246fc51ac2">
+  <!ENTITY pcmanfm-size          "412 KB">
+  <!ENTITY pcmanfm-buildsize     "7.7 MB">
   <!ENTITY pcmanfm-time          "less than 0.1 SBU">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 30ad1f9f074b6f9b774e1787223239f18d639b11)
+++ packages.ent	(revision 8490099dea3edc3e4f755561a9de400534538b7d)
@@ -630,11 +630,11 @@
 <!ENTITY lxmenu-data-version          "0.1.5">
 <!ENTITY lxde-icon-theme-version      "0.5.1">
-<!ENTITY libfm-extra-version          "1.2.4">
+<!ENTITY libfm-extra-version          "1.2.5">
 <!ENTITY menu-cache-version           "1.0.2">
-<!ENTITY libfm-version                "1.2.4">
-<!ENTITY pcmanfm-version              "1.2.4">
+<!ENTITY libfm-version                "1.2.5">
+<!ENTITY pcmanfm-version              "1.2.5">
 <!ENTITY lxpanel-version              "0.9.1">
 <!ENTITY lxappearance-version         "0.6.2">
-<!ENTITY lxsession-version            "0.5.2">
+<!ENTITY lxsession-version            "0.5.3">
 <!ENTITY lxde-common-version          "0.99.2">
 