Index: general/general.ent
===================================================================
--- general/general.ent	(revision 3c5b07870aa4f70c0e2a04fcf9bc93fe056abbed)
+++ general/general.ent	(revision 8591347ff806823463128b1b7bece710ade0d464)
@@ -87,8 +87,10 @@
 <!ENTITY % compface SYSTEM "genutils/compface/compface.ent">
 <!ENTITY % imagemagick SYSTEM "genutils/imagemagick/imagemagick.ent">
+<!ENTITY % hd2u SYSTEM "genutils/hd2u/hd2u.ent">
 %bc;
 %rep-gtk;
 %compface;
 %imagemagick;
+%hd2u;
 
 <!-- System Utilities -->
Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision 3c5b07870aa4f70c0e2a04fcf9bc93fe056abbed)
+++ general/genutils/genutils.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
@@ -7,4 +7,5 @@
 &compface;
 &imagemagick;
+&hd2u;
 
 </chapter>
Index: general/genutils/hd2u.xml
===================================================================
--- general/genutils/hd2u.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
+++ general/genutils/hd2u.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
@@ -0,0 +1,10 @@
+<sect1 id="hd2u" xreflabel="hd2u-&hd2u-version;">
+<?dbhtml filename="hd2u.html" dir="general"?>
+<title>hd2u-&hd2u-version;</title>
+
+&hd2u-intro;
+&hd2u-inst;
+&hd2u-desc;
+
+</sect1>
+
Index: general/genutils/hd2u/hd2u-desc.xml
===================================================================
--- general/genutils/hd2u/hd2u-desc.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
+++ general/genutils/hd2u/hd2u-desc.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>hd2u</application> package contains
+<command>dos2unix</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>dos2unix</title>
+<para><command>dos2unix</command> converts text between various OS formats
+(such as converting from DOS format to Unix).</para></sect3>
+
+</sect2>
+
Index: general/genutils/hd2u/hd2u-inst.xml
===================================================================
--- general/genutils/hd2u/hd2u-inst.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
+++ general/genutils/hd2u/hd2u-inst.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
@@ -0,0 +1,10 @@
+<sect2>
+<title>Installation of <application>hd2u</application></title>
+
+<para>Install <application>hd2u</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
Index: general/genutils/hd2u/hd2u-intro.xml
===================================================================
--- general/genutils/hd2u/hd2u-intro.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
+++ general/genutils/hd2u/hd2u-intro.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
@@ -0,0 +1,25 @@
+<sect2>
+<title>Introduction to <application>hd2u</application></title>
+
+<para>The <application>hd2u</application> contains
+any to any text format converter.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&hd2u-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&hd2u-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &hd2u-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&hd2u-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&hd2u-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>hd2u</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="popt"/></para></sect4>
+</sect3>
+
+</sect2>
Index: general/genutils/hd2u/hd2u.ent
===================================================================
--- general/genutils/hd2u/hd2u.ent	(revision 8591347ff806823463128b1b7bece710ade0d464)
+++ general/genutils/hd2u/hd2u.ent	(revision 8591347ff806823463128b1b7bece710ade0d464)
@@ -0,0 +1,10 @@
+<!ENTITY hd2u SYSTEM "../hd2u.xml">
+<!ENTITY hd2u-intro SYSTEM "hd2u-intro.xml">
+<!ENTITY hd2u-inst SYSTEM "hd2u-inst.xml">
+<!ENTITY hd2u-desc SYSTEM "hd2u-desc.xml">
+<!ENTITY hd2u-version "0.9.0">
+<!ENTITY hd2u-download-http "http://www.megaloman.com/~hany/_data/hd2u/hd2u-&hd2u-version;.tgz">
+<!ENTITY hd2u-download-ftp "">
+<!ENTITY hd2u-size "11 KB">
+<!ENTITY hd2u-buildsize "280 KB">
+<!ENTITY hd2u-time "0.1 SBU">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 3c5b07870aa4f70c0e2a04fcf9bc93fe056abbed)
+++ introduction/welcome/changelog.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
@@ -11,4 +11,6 @@
 
 <itemizedlist>
+
+<listitem><para>March 15th, 2004 [tushar]: Added hd2u-0.9.0.</para></listitem>
 
 <listitem><para>March 15th, 2004 [tushar]: Updated to audiofile-0.2.6.</para></listitem>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 3c5b07870aa4f70c0e2a04fcf9bc93fe056abbed)
+++ introduction/welcome/credits.xml	(revision 8591347ff806823463128b1b7bece710ade0d464)
@@ -164,5 +164,5 @@
 
 <listitem><para>fontconfig, gcc, gcc2, j2sdk, mozilla, nas, openoffice, ispell, nail,
-ImageMagick,
+ImageMagick, hd2u,
 STLport, tcl, tk and bind-utils: <emphasis>Tushar Teredesai</emphasis></para></listitem>
 